/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = __webpack_require__(3);

/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__template_list_art__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__template_list_art___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__template_list_art__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scss_style_scss__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scss_style_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2__scss_style_scss__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__scss_common_scss__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__scss_common_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3__scss_common_scss__);





"use strict";

// 页面入口
window.initial = function() {
    //loading页启动
    szse.load(true);
    new _currentObject().init();
}

//页面主对象
var _currentObject = new Function();

_currentObject.prototype.init = function() {
    mui('.mui-scroll-wrapper').scroll({
        scrollY: true, //是否竖向滚动
        scrollX: false, //是否横向滚动
        startX: 0, //初始化时滚动至x
        startY: 0, //初始化时滚动至y
        indicators: true, //是否显示滚动条
        deceleration: 0.0006, //阻尼系数,系数越小滑动越灵敏
        bounce: true //是否启用回弹
    });

    //art时间格式注册
    __WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime___default.a.dateFormat = function(date) {
        if (date == null || date == '' || date == undefined) {
            var format = '';
        } else {
            var format = date.split(' ')[0];
        }
        return format;
    };
    mui('#header').on('tap', '.mui-icon-left-nav', function() {        
        szse.close();
    });
    this.fetch();
};

_currentObject.prototype.fetch = function() {
    var _self = this;
    szse.ajax({
        url: domain.userweb + 'user/persion/getAppChannel',
        // url: 'source/js/data.json',
        contentType: "json",
        type: "GET",
        tag: 600,
        success: function(data) {
            szse.load(false);
            if (data.code == 0) {
                if (data.data.length == 0) {
                    szse.noData('main');
                } else {
                    _self.render(data);
                }
            } else {
                szse.noData('main');
            }
        },
        error: function(xhr, type, errorThrown) {
            szse.load(false);
            if(xhr == "2"){
                szse.error(true);
            }else{
                szse.noData('main');
            }
            
            mui("body").on('tap', '#errorBox', function() {
                window.location.reload();
            });
            console.warn('数据获取失败\n' + '接口：' + xhr.responseURL + '\n类型：' + type + '\n详情：' + errorThrown);
        }
    });
};

_currentObject.prototype.render = function(data) {
    document.getElementsByClassName('mui-scroll')[0].innerHTML = __WEBPACK_IMPORTED_MODULE_0__template_list_art___default()(data);
    if (mui.os.ios) {
        document.getElementById('main').lastElementChild.classList.add('current');
    }
    this.bindEvents();
};

_currentObject.prototype.bindEvents = function() {

    mui(".mui-card-content").on('tap', '.listTag', function() {
        /*后台不做判断，需要前段自己做
         *来源为三种 【docorinfo】判断 0 文章 1 从redis获取的公告 2 从ex获取的公共
         *同时后台不分别是文章还是链接，需要前段通过url截取符串判断
         *同时没有办法保证三个来源文件类型， 比如 0 是文章，但是可能会传来pdf
         *同时需要根据属于哪个来源，测试到底是用urlOrPath还是jsonPath
         *以下为解决这些问题的函数
         */
        var docorinfo = this.getAttribute("docorinfo");
        var url = this.getAttribute("url");
        var title = this.getAttribute("title");
        var id = this.getAttribute("channelId");
        var jsonPath = this.getAttribute("jsonPath");
        var type = this.getAttribute("type");

        switch(type){
            case "100" : //公告附件
                szse.nativeOpenDoc(domain.downloadUrl + url);
            break;
            case "20" : //文章详情
                szse.nativeOpenHtml(4, jsonPath, '详情', id, '');
            break;
            case "30" : //连接
                szse.nativeOpenHtml(4, '', '', '', jsonPath);
            break;
            case "40" : //附件
                szse.nativeOpenDoc(domain.cmsweb + jsonPath);
            break;
        }

        //判断是否为文件
        // if (url.split('.').length == 1) {
        //     var tag = szse.isFile('');
        // } else {
        //     var tag = szse.isFile(url.split('.')[url.split('.').length - 1]);
        // };

        // switch (tag) {
        //     case 'link': //CMS文章,需要传入 jsonPath 、 title、 tag 、htmlpath
        //         if (url.indexOf("http") != -1) { //是链接附件直接打开
        //             szse.nativeOpenHtml(4, '', '', '', url)
        //         } else if (jsonPath.indexOf("html") != -1) {
        //             szse.nativeOpenHtml(4, '', '', '', domain.cmsweb + jsonPath);
        //         } else if (!jsonPath) {
        //             if (docorinfo == '1' || docorinfo == '2') {
        //                 szse.nativeOpenDoc(domain.downloadUrl + url)
        //             } else {
        //                 szse.nativeOpenDoc(domain.cmsweb + url)
        //             }
        //         } else {
        //             szse.nativeOpenHtml(4, jsonPath, '详情', id, url)
        //         }
        //         break;
        //     case 'file': //公告类型文件下载
        //         if (docorinfo == '1' || docorinfo == '2') {
        //             szse.nativeOpenDoc(domain.downloadUrl + url)
        //         } else {
        //             szse.nativeOpenDoc(domain.cmsweb + url)
        //         }
        //         break;
        //     default:
        //         szse.toast('不支持打开');
        //         break;
        // }
    })
};

// 物理返回键，该函数由安卓调用
window.historyBackFun = function(){
    szse.close();
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var $imports = __webpack_require__(0);
module.exports = function ($data) {
    'use strict';
    $data = $data || {};
    var $$out = '', $each = $imports.$each, data = $data.data, $value = $data.$value, $index = $data.$index, $escape = $imports.$escape, e = $data.e, index = $data.index;
    $each(data, function ($value, $index) {
        $$out += '\r\n<div class="mui-card card-container">\r\n    <div class="mui-card-header title-header">\r\n        <span class="title-text">';
        $$out += $escape($value.channelName);
        $$out += '</span>\r\n    </div>\r\n    <div class="mui-card-content">\r\n        ';
        if ($value.infoDocList.length == 0) {
            $$out += '\r\n            <div class=\'noData\'></div>\r\n        ';
        } else {
            $$out += '\r\n            ';
            $each($value.infoDocList, function (e, index) {
                $$out += '\r\n                <div class=\'clearfix listTag\' docOrInfo=';
                $$out += $escape($value.docOrInfo);
                $$out += ' type=';
                $$out += $escape(e.type);
                $$out += ' url=';
                $$out += $escape(e.urlOrPath);
                $$out += ' title=';
                $$out += $escape(e.title);
                $$out += ' channelId=';
                $$out += $escape($value.chnlCode);
                $$out += ' jsonPath=';
                $$out += $escape(e.jsonPath);
                $$out += '>\r\n                    <span class=\'left\'>';
                $$out += $escape(e.title);
                $$out += '</span>\r\n                    <span class=\'right\'>';
                $$out += $escape($imports.dateFormat(e.publishDate));
                $$out += '</span>\r\n                </div>\r\n            ';
            });
            $$out += '\r\n        ';
        }
        $$out += '\r\n    </div>\r\n</div>\r\n';
    });
    return $$out;
};

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

/*! art-template@runtime | https://github.com/aui/art-template */

var globalThis = typeof self !== 'undefined' ? self : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : {};

var runtime = Object.create(globalThis);
var ESCAPE_REG = /["&'<>]/;

/**
 * 编码模板输出的内容
 * @param  {any}        content
 * @return {string}
 */
runtime.$escape = function (content) {
    return xmlEscape(toString(content));
};

/**
 * 迭代器，支持数组与对象
 * @param {array|Object} data
 * @param {function}     callback
 */
runtime.$each = function (data, callback) {
    if (Array.isArray(data)) {
        for (var i = 0, len = data.length; i < len; i++) {
            callback(data[i], i);
        }
    } else {
        for (var _i in data) {
            callback(data[_i], _i);
        }
    }
};

// 将目标转成字符
function toString(value) {
    if (typeof value !== 'string') {
        if (value === undefined || value === null) {
            value = '';
        } else if (typeof value === 'function') {
            value = toString(value.call(value));
        } else {
            value = JSON.stringify(value);
        }
    }

    return value;
}

// 编码 HTML 内容
function xmlEscape(content) {
    var html = '' + content;
    var regexResult = ESCAPE_REG.exec(html);
    if (!regexResult) {
        return content;
    }

    var result = '';
    var i = void 0,
        lastIndex = void 0,
        char = void 0;
    for (i = regexResult.index, lastIndex = 0; i < html.length; i++) {
        switch (html.charCodeAt(i)) {
            case 34:
                char = '&#34;';
                break;
            case 38:
                char = '&#38;';
                break;
            case 39:
                char = '&#39;';
                break;
            case 60:
                char = '&#60;';
                break;
            case 62:
                char = '&#62;';
                break;
            default:
                continue;
        }

        if (lastIndex !== i) {
            result += html.substring(lastIndex, i);
        }

        lastIndex = i + 1;
        result += char;
    }

    if (lastIndex !== i) {
        return result + html.substring(lastIndex, i);
    } else {
        return result;
    }
}

module.exports = runtime;
/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(4)))

/***/ }),
/* 4 */
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),
/* 5 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 6 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);