/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = __webpack_require__(3);

/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__template_collection_art__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__template_collection_art___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__template_collection_art__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__template_editCollection_art__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__template_editCollection_art___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__template_editCollection_art__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scss_style_scss__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scss_style_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2__scss_style_scss__);




"use strict";

var _currentObj = null;
// 页面入口
window.initial = function () {
    //loading页启动
    szse.load(true);
    _currentObj = new _currentObject();
    _currentObj.init();  
};

/**
 * 页面刷新
 * 该函数在通过我的收藏页面进入详情页中点击收藏按钮时调用 
 */
window.refresh = function() { 
    window.location.reload();
};

/**
 * 页面主对象
 */
var _currentObject = function () {
    this.pageNum = 1;
    this.totalPage = 0;
};

/**
 * 初始化
 */
_currentObject.prototype.init = function () {
    this.fetch();
    this.getLoad();
    this.bindEventsByOne(); 
};

/**
 * 上拉加载
 */
_currentObject.prototype.getLoad = function () {
    var self = this;
    mui.init({
        pullRefresh: {
            container: '#pullrefresh', // 刷新容器
            down: {
                callback: pulldownRefresh,
                auto: false, //可选,默认false.首次加载自动下拉刷新一次
            },
            up: {
                callback: pullupRefresh, // 必选，刷新函数
                height: 100, // 可选.默认50.触发上拉加载拖动距离
                auto: false, // 可选,默认false.自动上拉加载一次
                contentrefresh: "正在加载...", // 可选，正在加载状态时，上拉加载控件上显示的标题内容
                contentnomore: '没有更多数据了' // 可选，请求完毕若没有更多数据时显示的提醒内容
            }
        }
    });

    // 下拉刷新具体业务实现
    function pulldownRefresh() {
        setTimeout(()=> {
            //更新数据
            self.fetch(true);
            //关闭下拉刷新雪花图
            mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
            //重打开上拉加载
            mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
        }, 600);
    }

    // 上拉加载具体业务实现
    function pullupRefresh() {
        setTimeout(()=> {
            if (self.pageNum++ >= self.totalPage) {
                //判断最末页 - 禁用上拉加载
                mui('#pullrefresh').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
            } else {
                //更新数据
                self.fetch();
                mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
            }
        }, 600);
    }
};

/**
 * 获取数据
 */
_currentObject.prototype.fetch = function (isRefresh) {
    if (isRefresh) {
        this.pageNum = 1;
        this.totalPage = 0;
        document.querySelector('.mui-table-view').innerHTML = ''; // 展示收藏列表
        document.querySelector('.edit-list').firstElementChild.innerHTML = ''; // 编辑收藏列表
    }
    var _self = this;
    szse.ajax({
        url: domain.userUrl + "/api/user/user/collection/collectionList",
        // url: './source/js/list.json',
        contentType: "json",
        type: "POST",
        // type: "get",
        data: {
            "pageSize": 20,
            "pageNum": this.pageNum
        },
        success: function (data) {
            // 取消loading页面
            szse.load(false);
            if (data.code == 0) {
                _self.totalPage = Math.ceil(data.totalSize / 20); //计算总页数
                if (data.data.length > 0) {
                    _self.render(data, isRefresh);
                } else {
                    szse.toast("已加载所有数据");
                }
            } else {
                szse.noData('showLisBox');
            }
        },
        error: function (data) {
            szse.load(false);
            if (data == '5' || data.indexOf("<html>")) {
                szse.toast("已加载所有数据");
                return;
            } else {
                szse.ajaxErrorTip(data);
            }
            if (_self.pageNum == 1 && !szse.hasWeb()) {
                document.querySelector('#editBtn').style.display = 'none';
                szse.error(true);
                mui("body").on('tap', '#errorBox', function () {
                    window.location.reload();
                });
            } else if (_self.pageNum == 1) {
                szse.noData('showLisBox');
            }
        }
    });
};

/**
 * 渲染
 */
_currentObject.prototype.render = function (data, isRefresh) {
    document.querySelector('#editBtn').style.display = 'block';
    if (this.pageNum <= 1) {
        document.querySelector('.mui-table-view').innerHTML = __WEBPACK_IMPORTED_MODULE_0__template_collection_art___default()(data); // 展示收藏列表
        document.querySelector('.edit-list').firstElementChild.innerHTML = __WEBPACK_IMPORTED_MODULE_1__template_editCollection_art___default()(data); // 编辑收藏列表
    } else {
        var oldShowHtml = document.querySelector('.mui-table-view').innerHTML;
        var oldEditHtml = document.querySelector('.edit-list').firstElementChild.innerHTML;
        var newShowHtml = oldShowHtml + __WEBPACK_IMPORTED_MODULE_0__template_collection_art___default()(data);
        var newEditHtml = oldEditHtml + __WEBPACK_IMPORTED_MODULE_1__template_editCollection_art___default()(data);
        document.querySelector('.mui-table-view').innerHTML = newShowHtml;
        document.querySelector('.edit-list').firstElementChild.innerHTML = newEditHtml;
    }
    !isRefresh && this.bindEvents(); 
};

/**
 * 仅绑定一次的事件
 */
_currentObject.prototype.bindEventsByOne = function() {
    // 返回
    mui('header').on('tap', '#backBtn', function(){
        szse.refresh('education/index.html' + (mui.os.android ? '#/my/index' : ''), 'refreshFootmark()');
        szse.close();
    });
};

/**
 * 和页面渲染有关的事件绑定
 */
_currentObject.prototype.bindEvents = function() {
    var self = this,
        delFlag = true,
        isChecked = false,
        checkboxStatus = [],
        dataJson = { "deletedList": {}},
        checkAllBtn = document.querySelector('#checkAll');
    
    // 编辑 绑定事件前先取消事件，防止多次绑定
    mui('#bar').off('tap').on('tap', '#editBtn', function() {
        var toggle = this.children[0],
            backBtn = document.querySelector('#backBtn'),
            ediltListItem = document.querySelectorAll('#editListsBox .edit-list-item'),
            editInputlists = document.querySelectorAll('#editListsBox input');
        /**
         * 
         遍历编辑列表中的每个条目，为其逐一设置索引，用于点击每个条目时，将所点击的选中/取消选中的条目的状态存到checkboxStatus中
         */
        checkboxStatus = [];
        for (var i = 0; i < ediltListItem.length; i++) {
            ediltListItem[i].setAttribute('index', i);
            checkboxStatus.push(false);
        }
      
        if (toggle.innerHTML == '编辑') { 
            toggle.innerHTML = '取消'; 
            backBtn.style.display = 'none';
            checkAllBtn.style.display = 'block';
            checkAllBtn.innerHTML = '全选';
            showOrhide('#control');
            showOrhide('#showLisBox');
            showOrhide('.edit-list');
            // 遍历编辑列表中的每个input，将其设置成未选中
            for (var i = 0; i < editInputlists.length; i++) {
                editInputlists[i].checked = false;
            }
            // 展示编辑页时，禁用上拉加载下拉刷新
            mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
            mui('#pullrefresh').pullRefresh().disablePulldownToRefresh();
        } else if (toggle.innerHTML == '取消'){
            toggle.innerHTML = '编辑';
            checkAllBtn.style.display = 'none';
            backBtn.style.display = 'block';
            showOrhide('#control');
            showOrhide('#showLisBox');
            showOrhide('.edit-list');
            // 重启上拉加载下拉刷新
            mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); 
            mui('#pullrefresh').pullRefresh().enablePulldownToRefresh();
            // 隐藏上拉加载更多（重启上拉加载，会出现“上拉加载更多”）
            if (document.querySelector('.mui-pull-bottom-pocket').classList.contains('mui-visibility')) {
                document.querySelector('.mui-pull-bottom-pocket').classList.remove('mui-visibility');
            }
        };
    }); 

    // 显示/隐藏
    function showOrhide(id) {
        var domEL = document.querySelector(id);
        if (domEL.classList.toggle('hide')) {
            domEL.classList.toggle('hide', true);
        }
    }

    // 展示页条目点击事件，点击进入到详情页
    mui("#pullrefresh").on("tap", ".show-list", function() {
        var appUrl = this.getAttribute("appUrl");
        var chnlCode = this.getAttribute("chnlCode");
        var webUrl = this.getAttribute("webUrl");
        if (domain.storageFlag) {
            // urlPath用于我的收藏详情页调用refresh方法传参，以刷新我的收藏列表页
            window.localStorage.setItem('urlPath','collection/index.html');
            window.localStorage.setItem('from','collectionPage');
            szse.nativeOpenHtml(4, appUrl, '详情', chnlCode, '');
        } else {
            szse.openHtml(webUrl);
        }
    });

    // 编辑页条目点击事件
    mui('#editListsBox').on('tap', '.edit-list-item', function() {
        dataJson["deletedList"][this.getAttribute('articleId')] = this.getAttribute('chnCode');
        checkboxStatus[parseInt(this.getAttribute("index"))] = !this.querySelector('input[name=checkbox]').checked;
        if (this.querySelector('input[name=checkbox]').checked) {
            dataJson["deletedList"][this.getAttribute('articleId')] = '';
        } 
        for (var i = 0; i < checkboxStatus.length; i++) {
            if (!checkboxStatus[i]) {
                checkAllBtn.innerHTML = '全选';
                break;
            } else {
                checkAllBtn.innerHTML = '取消全选';
            }
        };
    });

    // 全选
    mui('#bar').on('tap', '#checkAll', function() {
        var editInputlists = document.querySelectorAll('#editListsBox input'),
            ediltListItem = document.querySelectorAll('#editListsBox .edit-list-item');

        if (checkAllBtn.innerHTML == '全选') {
            checkAllBtn.innerHTML = '取消全选';
            for (var i = 0; i < editInputlists.length; i++) {
                editInputlists[i].checked = true;
                checkboxStatus[i] = true;
                dataJson["deletedList"][ediltListItem[i].getAttribute('articleId')] = ediltListItem[i].getAttribute('chnCode');
            }
        } else {
            checkAllBtn.innerHTML = '全选';
            dataJson["deletedList"] = {};
            for (var i = 0; i < editInputlists.length; i++) {
                editInputlists[i].checked = false;
                checkboxStatus[i] = false;
            }
        }
    });

    // 删除
    mui('body').on('tap', '#control', function() {
        if (delFlag) {
            delFlag = false;
            // 禁止用户1.5s再次点击删除
            setTimeout(function () {
                delFlag = true;
            }, 1500);

            for (var i = 0; i < checkboxStatus.length; i++) {
                if (checkboxStatus[i]) {
                    isChecked = true;
                    break;
                } else {
                    isChecked = false;
                }
            };

            if (!isChecked){
                szse.toast('请先选择要删除的收藏');
            } else { 
                szse.ajax({
                    url: domain.userUrl + "/api/user/user/collection/deleteArticle",
                    contentType: "json",
                    type: "POST",
                    data: dataJson,
                    success: function (data) {
                        if (data.code == 0) {
                            var showLists = document.querySelectorAll('#showLisBox li'),
                                editLists = document.querySelectorAll('#editListsBox .edit-list-item');
                            // 删除选中的条目
                            for (var i = 0; i < checkboxStatus.length; i++) {
                                if (checkboxStatus[i]) {
                                    editLists[i].parentNode.removeChild(editLists[i]);
                                    showLists[i].parentNode.removeChild(showLists[i]);
                                }
                            }
                            szse.toast(data.message);
                            dataJson["deletedList"] = {};
                            checkboxStatus = [];
                            // 重新获收藏列表元素，并为其重设索引，同时将保存选中/未选中状态的数组全部赋值为false
                            editLists = document.querySelectorAll('#editListsBox .edit-list-item');
                            for (var i = 0; i < editLists.length; i++) {
                                editLists[i].setAttribute('index', i);
                                checkboxStatus.push(false);
                            }
                            // 若全部删除，则刷新整个页面
                            if (document.querySelectorAll('#showLisBox li').length == 0) {
                                window.location.reload();
                            }
                        } else {
                            szse.toast(data.message);
                        }
                    },
                    error: function (data) {
                        szse.ajaxErrorTip(data);
                    }
                });
            }  
        }
    });
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var $imports = __webpack_require__(0);
module.exports = function ($data) {
    'use strict';
    $data = $data || {};
    var $$out = '', $each = $imports.$each, data = $data.data, $value = $data.$value, $index = $data.$index, $escape = $imports.$escape;
    $each(data, function ($value, $index) {
        $$out += '\r\n    <li class="mui-table-view-cell show-list list" webUrl=';
        $$out += $escape($value.webUrl);
        $$out += ' appUrl=';
        $$out += $escape($value.appUrl);
        $$out += ' chnlCode=';
        $$out += $escape($value.articleChannelCode);
        $$out += '>\r\n        <a href="javascript:;">\r\n            <div class="mui-media-body">\r\n                <p class="article-title"> ';
        $$out += $value.articleTitle;
        $$out += '</p>\r\n                <p class=\'mui-ellipsis\'>\r\n                    ';
        if ($value.articleChannelCode == 'szserulesAlltype') {
            $$out += ' \r\n                        <span class="type">综合类</span>\r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesPublishType') {
            $$out += '\r\n                        <span class="type">发行类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesListed') {
            $$out += '\r\n                        <span class="type">上市挂牌类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesTradeType') {
            $$out += '\r\n                        <span class="type">交易类</span>  \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesMemberType') {
            $$out += ' \r\n                        <span class="type">会员类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesService') {
            $$out += '\r\n                        <span class="type">服务与收费类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'announcement') {
            $$out += '\r\n                        <span class="type">本所公告</span> \r\n                    ';
        }
        $$out += ' \r\n                    <!--<span class="date-icon"></span>-->\r\n                    <span class="mui-pull-right date">';
        $$out += $escape($value.addTime.split(' ')[0]);
        $$out += '</span> \r\n                </p>\r\n            </div> \r\n        </a> \r\n    </li>\r\n';
    });
    return $$out;
};

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

/*! art-template@runtime | https://github.com/aui/art-template */

var globalThis = typeof self !== 'undefined' ? self : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : {};

var runtime = Object.create(globalThis);
var ESCAPE_REG = /["&'<>]/;

/**
 * 编码模板输出的内容
 * @param  {any}        content
 * @return {string}
 */
runtime.$escape = function (content) {
    return xmlEscape(toString(content));
};

/**
 * 迭代器，支持数组与对象
 * @param {array|Object} data
 * @param {function}     callback
 */
runtime.$each = function (data, callback) {
    if (Array.isArray(data)) {
        for (var i = 0, len = data.length; i < len; i++) {
            callback(data[i], i);
        }
    } else {
        for (var _i in data) {
            callback(data[_i], _i);
        }
    }
};

// 将目标转成字符
function toString(value) {
    if (typeof value !== 'string') {
        if (value === undefined || value === null) {
            value = '';
        } else if (typeof value === 'function') {
            value = toString(value.call(value));
        } else {
            value = JSON.stringify(value);
        }
    }

    return value;
}

// 编码 HTML 内容
function xmlEscape(content) {
    var html = '' + content;
    var regexResult = ESCAPE_REG.exec(html);
    if (!regexResult) {
        return content;
    }

    var result = '';
    var i = void 0,
        lastIndex = void 0,
        char = void 0;
    for (i = regexResult.index, lastIndex = 0; i < html.length; i++) {
        switch (html.charCodeAt(i)) {
            case 34:
                char = '&#34;';
                break;
            case 38:
                char = '&#38;';
                break;
            case 39:
                char = '&#39;';
                break;
            case 60:
                char = '&#60;';
                break;
            case 62:
                char = '&#62;';
                break;
            default:
                continue;
        }

        if (lastIndex !== i) {
            result += html.substring(lastIndex, i);
        }

        lastIndex = i + 1;
        result += char;
    }

    if (lastIndex !== i) {
        return result + html.substring(lastIndex, i);
    } else {
        return result;
    }
}

module.exports = runtime;
/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(4)))

/***/ }),
/* 4 */
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

var $imports = __webpack_require__(0);
module.exports = function ($data) {
    'use strict';
    $data = $data || {};
    var $$out = '', $each = $imports.$each, data = $data.data, $value = $data.$value, $index = $data.$index, $escape = $imports.$escape;
    $each(data, function ($value, $index) {
        $$out += '\r\n    <li class="mui-table-view-cell mui-checkbox mui-left list edit-list-item" articleId=';
        $$out += $escape($value.articleId);
        $$out += ' chnCode=';
        $$out += $escape($value.articleChannelCode);
        $$out += '>\r\n        <a href="javascript:;">\r\n            <div class="mui-media-body">\r\n                <input name="checkbox" type="checkbox">\r\n                <p class="article-title"> ';
        $$out += $value.articleTitle;
        $$out += '</p>\r\n                <p class=\'mui-ellipsis\'>\r\n                    ';
        if ($value.articleChannelCode == 'szserulesAlltype') {
            $$out += ' \r\n                        <span class="type">综合类</span>\r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesPublishType') {
            $$out += '\r\n                        <span class="type">发行类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesListed') {
            $$out += '\r\n                        <span class="type">上市挂牌类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesTradeType') {
            $$out += '\r\n                        <span class="type">交易类</span>  \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesMemberType') {
            $$out += ' \r\n                        <span class="type">会员类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'szserulesService') {
            $$out += '\r\n                        <span class="type">服务与收费类</span> \r\n                    ';
        } else if ($value.articleChannelCode == 'announcement') {
            $$out += '\r\n                        <span class="type">本所公告</span> \r\n                    ';
        }
        $$out += ' \r\n                    <!--<span class="date-icon"></span>-->\r\n                    <span class="mui-pull-right date">';
        $$out += $escape($value.addTime.split(' ')[0]);
        $$out += '</span>\r\n                </p>\r\n            </div> \r\n        </a> \r\n    </li>  \r\n';
    });
    return $$out;
};

/***/ }),
/* 6 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);