window.Loading = function(container){
    container.parents('body').find('.loadingBtn').remove();
    container.after('<a class="loadingBtn"></a>');
    var loadingOptions = {
        loadingText:'loading',
        maskedTarget:container
    };
    var loadingPlugin = new s.ui.controls.Loading($('.loadingBtn'), loadingOptions);
    return loadingPlugin;
}

// options: {type:"",url:"",dataType:"",success:fun(),fail:fun(),loading:,loadingPlugin:}
window.ajaxRequest = function(options){
    var d = $.Deferred();
    var context = this;
    var newOption = {
        type: options.type,
        url:options.url,
        contentType: options.contentType || 'application/json',
        // data: options.data || {},
        tag:options.tag?options.tag:"0",
        success:function(data){
            // var data = JSON.parse(data);
             //结束加载             
             if(typeof options.success == 'function'){
                var result = options.success(data);
                if(result == -1)
                    return;
            }
            
            d.resolve(data);
        },
        error: function(data){
            var obj = {
                data:data,
                tag:options.tag
            }
            d.reject(obj);
        }  
    }

    console.log("options",options);
    // $.ajax(ajaxOption);
    szse.ajax(newOption);
    return d.promise();
};
