window.Loading = function(container){
    container.parents('body').find('.loadingBtn').remove();
    container.after('<a class="loadingBtn"></a>');
    var loadingOptions = {
        loadingText:'loading',
        maskedTarget:container
    };
    var loadingPlugin = new s.ui.controls.Loading($('.loadingBtn'), loadingOptions);
    return loadingPlugin;
}

// options: {type:"",url:"",dataType:"",success:fun(),fail:fun(),loading:,loadingPlugin:}
window.ajaxRequest = function(options){
    var d = $.Deferred();
    var context = this;

    //开始加载
    if(options.loadingPlugin){
        options.loadingPlugin.start();
    }

    var newOption = {
        type: options.type,
        url: options.url.indexOf('?') > -1 ? (options.url +'&random=' + Math.random()) : (options.url +'?random=' + Math.random()),
        contentType: options.contentType || 'application/json',
        data: options.data || {},
        tag:"1",
        success:function(data){
            var data = JSON.parse(data);
             //结束加载
             if(typeof options.success == 'function'){
                var result = options.success(data);
                if(result == -1)
                    return;
            }
            //结束加载
            if(options.loadingPlugin){
                options.loadingPlugin.stop();
            }
            d.resolve(data);
        },
        error: function(data){
            //结束加载
            if(options.loadingPlugin){
                options.loadingPlugin.stop();
            }
            szse.ajaxErrorTip(data);
            d.reject(data);
        }  
    }


    // $.ajax(ajaxOption);
    szse.ajax(newOption);
    return d.promise();
};
