import '../scss/common.scss';

var index = null;
//页面刷新，不使用缓存
// function refresh(){
// 	var random = Math.floor((Math.random()*10000)+1);
// 	var url = window.location.href;
// 	console.log(url);
// 	if(url.indexOf('?' < 0)){
// 		url = url + "?random" +random;
// 	} else {
// 		url = url.substr(0,url.indexOf('?random')) + "?random" + random;
// 	}
// 	window.location.href = url;
// }

// 页面入口
window.initial = function () {
    index = new Index();
    index.init();
};

// 构建主页对象
var Index = function () {
    
};

// init函数
Index.prototype.init = function () {
	// this.$iconFilter = document.getElementById('header').getElementsByClassName('mui-icon-filter')[0];
	//设置当前菜单索引	
	var menuIndex = szse.getStorage('szserules.menuIndex');
    this.menuIndex = menuIndex ? Number(menuIndex) : 0;		
    szse.setStorage('szserules.menuIndex', this.menuIndex);
	this.menuRender();
	this.menuBindEvents();
	this.fetch();
};

// 菜单渲染
Index.prototype.menuRender = function () {
	var menuDom = '',
		menuIndex = this.menuIndex;
	var sliderScrollX = szse.getStorage("szserules.sliderScrollX")||0;
	this.menuList = [
		{ name: '综合类', initUrl: "/lawrules/rule/all/", tag: 410 },
		{ name: '会员类', initUrl: '/lawrules/rule/member/', tag: 450 },
		{ name: '服务与收费类', initUrl: '/lawrules/rule/service/', tag: 460 },
		{ name: '交易类', initUrl: '/lawrules/rule/tradetype/', tag: 400 },
		{ name: '上市挂牌类', initUrl: '/lawrules/rule/listed/', tag: 430 },
		{ name: '发行类', initUrl: '/lawrules/rule/publishtype/', tag: 420 },
		{ name: '股票期权类', initUrl: '/lawrules/rule/optionType/', tag: 441 },
		{ name: '创业板改革并试点注册制规则', initUrl: '/lawrules/rule/gem/', tag: 410 }		
	];
	mui.each(this.menuList, function(index, item){
		menuDom += '<a class="nav-slider-item'+ (index== menuIndex? ' nav-item-active' : '') +'" href="#item'+ index +'">'+ item.name +'</a>';
	});
  	var sliderDOM = document.getElementById('sliderSegmentedControl').getElementsByClassName('mui-scroll')[0];
	sliderDOM.innerHTML = menuDom;		
	sliderDOM.scrollLeft = Math.abs(sliderScrollX);
	console.log("index",sliderScrollX,this.menuIndex);
};

// 菜单绑定事件
Index.prototype.menuBindEvents = function () {
    var self = this;
    mui('#sliderSegmentedControl').on('tap', '.nav-slider-item', function (e) {		
		document.location.href=this.getAttribute('href');
        self.menuIndex = Number(this.getAttribute('href').replace('#item', ''));		
        self.onChangeMenuIndex();				
    });
	var timer;
	mui('#sliderSegmentedControl')[0].getElementsByClassName('mui-scroll')[0].onscroll = function(e){
		clearTimeout(timer);
		timer = setTimeout(()=>{					
			szse.setStorage("szserules.sliderScrollX",e.target.scrollLeft)			
		},20)
		
	}    
    mui('#header').on('tap', '.mui-icon-left-nav', function() {
        szse.setStorage('szserules.menuIndex', '');
        szse.close();
    });
};

// 菜单切换时 重新获取数据
Index.prototype.onChangeMenuIndex = function () {	
    document.getElementById('main').style.transform = 'translate3d(0px, 0px, 0px) translateZ(0px)';
	szse.setStorage('szserules.menuIndex', this.menuIndex);		
	var el = document.getElementById('content').getElementsByClassName("mui-table-view")[0];
	mui("#pullrefresh").off("tap", ".mui-table-view-cell");
	el.innerHTML = "";
	main.pageNum = 1;
	main.jsonPath = "index.json";
	var domArr = document.getElementById('sliderSegmentedControl').getElementsByClassName("nav-slider-item");
	for(let i = 0;i <domArr.length;i++){
		if(domArr[i].classList.contains("nav-item-active")){
			domArr[i].classList.remove("nav-item-active");
		}
	}
	domArr[this.menuIndex].classList.add("nav-item-active");	
	this.fetch();
}

// 获取数据
Index.prototype.fetch = function () {
	var curMenu = this.menuList[this.menuIndex],
		initUrl = curMenu.initUrl,
		tag = curMenu.tag;	
		main.init(initUrl,tag);	
};

// 物理返回键，该函数由安卓调用
window.historyBackFun = function(){
  	$('#header .mui-icon-left-nav').click();
};