/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = __webpack_require__(3);

/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__template_detail_art__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__template_detail_art___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__template_detail_art__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scss_detail_scss__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scss_detail_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2__scss_detail_scss__);




"use strict";

// 页面入口
window.initial = function () {
    new _currentObject().init();
}

// 页面主对象
var _currentObject = function () {
    var str = szse.getDetailJson(); // 获取原生传入的数据
    if (!str) {
        var cacheData = JSON.parse(window.localStorage.getItem('iporeportNewsCache')); 
        this.url = cacheData.jsonPathUrl;
    } else {
        this.url = domain.cmsweb + str;
    };
    this.cacheTag = this.url.split('/').pop().split('.')[0];
}

// 初始化
_currentObject.prototype.init = function () {

    // art-template日期格式注册
    __WEBPACK_IMPORTED_MODULE_1_art_template_lib_runtime___default.a.dateFormat = function (date, format) {
        var format = szse.formatDate(date, format);
        format = format.split("00:00:00")[0];
        return format;
    };

    // 判断是否有缓存，无则开启load页面，有则关闭load页面并渲染缓存
    if (!szse.judgeCache(this.cacheTag) || szse.hasWeb()) {
        szse.load(true);
        this.fetch(this.url);
    } else {        
        szse.load(false);
        this.render(szse.getStorage(this.cacheTag));
    }
};

// 获取数据
_currentObject.prototype.fetch = function (params) {
    var _self = this;
    szse.ajax({
        url: params,
        contentType: "json",
        type: "GET",
        data: "",
        tag: _self.tag,
        success: function (data) {
            // 取消loading页面
            szse.load(false);
            if (data.code == 0) {
                if (JSON.stringify(data.data) == '{}') {
                    document.body.style.backgroundColor = '#fff';
                    szse.noData('main');
                } else {
                    szse.setStorage(_self.cacheTag, data); // 设置缓存
                    _self.render(data); // 渲染
                }
            } else {
                document.body.style.backgroundColor = '#fff';
                szse.noData('main');
            }
        },
        error: function (data) {
            szse.load(false);
            if (!szse.judgeCache(_self.cacheTag) && !szse.hasWeb()) {
                document.body.style.backgroundColor = '#fff';
                szse.error(true);
                mui("body").on('tap', '#errorBox', function () {
                    window.location.reload();
                });
            } else {
                document.body.style.backgroundColor = '#fff';
                szse.noData('main');
            }
        }
    });
};

// 渲染
_currentObject.prototype.render = function (data) {
    document.querySelector('#main').innerHTML = __WEBPACK_IMPORTED_MODULE_0__template_detail_art___default()({
        'data': data.data,
        'url': domain.cmsweb
    });
    
    if (document.querySelector('#videoPlay')) {
        this.bindEvents();
    }
};

// 绑定事件
_currentObject.prototype.bindEvents = function () {
    // 初始化videojs
    var player = videojs('videoPlay', {}, function () {
        var play,
            isMuted = true,
            _this = this,
            isPlay = true,
            video = document.querySelector('#videoPlay_html5_api');

        // 点击视频画面播放/暂停视频
        mui('#main').on('tap', '#videoPlay', function (e) {
            isPlay = !isPlay;
            play = isPlay ? _this.pause() : _this.play();
        });

        // 点击播放、暂停按钮
        mui('#main').on('tap', '.vjs-control-bar .vjs-play-control', function (e) {
            e.stopPropagation();
            play = (this.getAttribute('title') == 'Pause') ? _this.pause() : _this.play();
        });

        // 点击静音按钮
        mui('#main').on('tap', '.vjs-volume-panel-horizontal>button', function (e) {
            e.stopPropagation();
            isMuted = !isMuted; 
            video.muted = isMuted ? false : true;
            if (video.muted) {
                this.querySelector('span').classList.remove('icon-unmuted');
                this.querySelector('span').classList.add('icon-muted');
            } else {
                this.querySelector('span').classList.remove('icon-muted');
                this.querySelector('span').classList.add('icon-unmuted');
            }
        });
    });
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

var $imports = __webpack_require__(0);
module.exports = function ($data) {
    'use strict';
    $data = $data || {};
    var $$out = '', data = $data.data, $escape = $imports.$escape, url = $data.url, $each = $imports.$each, e = $data.e, index = $data.index;
    $$out += '<div class="mui-card content-top">\r\n    <div class="mui-card-content">\r\n        <div class="article-info">\r\n            <h2 class="article-title">';
    $$out += data.title;
    $$out += '</h2>\r\n            <span class="article-date">';
    $$out += $escape($imports.dateFormat(data.pubTime, 'yyyy-MM-dd'));
    $$out += '</span>\r\n        </div> \r\n        \r\n        ';
    if (data.videoList) {
        $$out += '\r\n            <div class="mui-card-content-inner video-container">\r\n                <video id="videoPlay" class="video-js vjs-default-skin vjs-big-play-centered" controls preload="auto" playsinline webkit-playsinline="true" width="640" height="264" poster="../img/newsdefault.png" data-setup=\'{}\'>\r\n                    <source src="';
        $$out += $escape(url + data.videoList[0]);
        $$out += '" type="video/mp4">\r\n                    <source ';
        $$out += 'src="http://vjs.zencdn.net/v/oceans.webm"';
        $$out += ' type="video/webm"> \r\n                    <source ';
        $$out += 'src="http://vjs.zencdn.net/v/oceans.ogv"';
        $$out += ' type="video/ogg">\r\n                </video>\r\n            </div>\r\n        ';
    }
    $$out += '\r\n\r\n        <div class="mui-content img-container" style="background-color:#fff">\r\n            <ul class="mui-table-view mui-grid-view">\r\n                ';
    if (data.imgList) {
        $$out += '\r\n                    ';
        $each(data.imgList, function (e, index) {
            $$out += '\r\n                        <li class="mui-table-view-cell item-img-list mui-media mui-col-xs-4">\r\n                            <a href="javascript:;">\r\n                                <img class="mui-media-object" src="';
            $$out += $escape(url + e);
            $$out += '" data-preview-src="';
            $$out += $escape(url + e);
            $$out += '" data-preview-group="1">\r\n                            </a>\r\n                        </li>\r\n                    ';
        });
        $$out += '\r\n                ';
    }
    $$out += '\r\n            </ul>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n<div class="mui-card article-content-container">\r\n    <h3 class="subhead">公司简介</h3>\r\n    <div class="article-content">';
    $$out += data.content;
    $$out += '</div>\r\n</div>';
    return $$out;
};

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

/*! art-template@runtime | https://github.com/aui/art-template */

var globalThis = typeof self !== 'undefined' ? self : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : {};

var runtime = Object.create(globalThis);
var ESCAPE_REG = /["&'<>]/;

/**
 * 编码模板输出的内容
 * @param  {any}        content
 * @return {string}
 */
runtime.$escape = function (content) {
    return xmlEscape(toString(content));
};

/**
 * 迭代器，支持数组与对象
 * @param {array|Object} data
 * @param {function}     callback
 */
runtime.$each = function (data, callback) {
    if (Array.isArray(data)) {
        for (var i = 0, len = data.length; i < len; i++) {
            callback(data[i], i);
        }
    } else {
        for (var _i in data) {
            callback(data[_i], _i);
        }
    }
};

// 将目标转成字符
function toString(value) {
    if (typeof value !== 'string') {
        if (value === undefined || value === null) {
            value = '';
        } else if (typeof value === 'function') {
            value = toString(value.call(value));
        } else {
            value = JSON.stringify(value);
        }
    }

    return value;
}

// 编码 HTML 内容
function xmlEscape(content) {
    var html = '' + content;
    var regexResult = ESCAPE_REG.exec(html);
    if (!regexResult) {
        return content;
    }

    var result = '';
    var i = void 0,
        lastIndex = void 0,
        char = void 0;
    for (i = regexResult.index, lastIndex = 0; i < html.length; i++) {
        switch (html.charCodeAt(i)) {
            case 34:
                char = '&#34;';
                break;
            case 38:
                char = '&#38;';
                break;
            case 39:
                char = '&#39;';
                break;
            case 60:
                char = '&#60;';
                break;
            case 62:
                char = '&#62;';
                break;
            default:
                continue;
        }

        if (lastIndex !== i) {
            result += html.substring(lastIndex, i);
        }

        lastIndex = i + 1;
        result += char;
    }

    if (lastIndex !== i) {
        return result + html.substring(lastIndex, i);
    } else {
        return result;
    }
}

module.exports = runtime;
/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(4)))

/***/ }),
/* 4 */
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),
/* 5 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);