/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 8);
/******/ })
/************************************************************************/
/******/ ({

/***/ 8:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__scss_common_scss__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__scss_common_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__scss_common_scss__);


var index = null;

// 页面入口
window.initial = function () {
	index = new Index();
	index.init();
	
};

// 构建主页对象
var Index = function () {

};

// // 筛选选中的数据
// let fildata = {
// 	plateCode: [],  // 板块code 
// 	bigCategoryId: [], // 类别
// 	seDate: ['', ''],  // 时间
// 	smallCategoryId: []
// }

// init函数
Index.prototype.init = function () {
	this.$iconFilter = document.getElementById('header').getElementsByClassName('mui-icon-filter')[0];
	//设置当前菜单索引
	var menuIndex = szse.getStorage('disclosure.menuIndex');
	// console.log(menuIndex);
	if(menuIndex===false){
		 mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-00-000-00","全部应用-信息披露")
	}else if(menuIndex===0){
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-000-00","信息披露-本所公告")
	}else if(menuIndex===1){
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-001-00","信息披露-上市公司公告")
	}else if(menuIndex===2){
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-002-00","信息披露-基金公告")
	}else if(menuIndex===3){
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-003-00","信息披露-债券公告")
	}
	this.menuIndex = menuIndex ? Number(menuIndex) : 0;
	szse.setStorage('disclosure.menuIndex', this.menuIndex);
	this.menuRender();
	this.menuBindEvents();
	this.fetch();
};

// 菜单渲染
Index.prototype.menuRender = function () {
	var menuDom = '',
		menuIndex = this.menuIndex;
	this.menuList = [
		{ name: '本所公告', initUrl: '/disclosure/notice/', tag: 210 },
		{ name: '上市公司公告', initUrl: 'listedNotice_disc', tag: 220 },
		{ name: '基金公告', initUrl: 'fundinfoNotice_disc', tag: 230 },
		{ name: '债券公告', initUrl: 'bondinfoNotice_disc', tag: 240 }
	];
	mui.each(this.menuList, function (index, item) {
		menuDom += '<a class="mui-control-item' + (index == menuIndex ? ' mui-active' : '') + '" href="#item' + index + '">' + item.name + '</a>';
	});
	//为避免slide滑动的时候的一些怪异（突然变化）;设置缓冲
	if (this.menuIndex === 3) {
		var DOM = document.getElementsByClassName('mui-scroll')[0];
		// DOM.style.transform = 'translate(-55px)';
		// DOM.ontouchmove = null;
		DOM.style.left = "-55px";
		DOM.addEventListener('touchstart', muiTouch, false);
		DOM.addEventListener('touchmove', muiTouch, false);
		DOM.addEventListener('touchend', muiTouch, false);
		var moveNum;
		var absNum = -55;
		function muiTouch(e) {
			switch (e.type) {
				case "touchstart":
					moveNum = e.touches[0].clientX;
					break;
				case "touchend":
					DOM.style.left = (absNum) + 'px';
					break;
				case "touchmove":
					var num = e.touches[0].clientX - moveNum + absNum;
					if (num > -1 || num < absNum) {
						return
					}
					absNum = num;
					DOM.style.left = (absNum) + 'px';
					break;
			}
		}
	}
	document.getElementById('sliderSegmentedControl').getElementsByClassName('mui-scroll')[0].innerHTML = menuDom;
	
};

// 菜单绑定事件
Index.prototype.menuBindEvents = function () {
	var self = this;
	mui('#sliderSegmentedControl').on('tap', '.mui-control-item', function (e) {
		$('#filter-click').removeClass('week')
		$('#filter-click').removeClass('month')
		$('#filter-click').removeClass('custom')
		self.menuIndex = Number(this.getAttribute('href').replace('#item', ''));
		self.onChangeMenuIndex();
	});
	mui('#header').on('tap', '.mui-icon-bars', function () {
		// 跳转页面
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-000-01","信息披露-搜索-搜索图标")
		window.location.href = `view/search.html`;
		// if (mui.os.ios) {
		// 	$('#inputTag').focus();
		// } else {
		// 	setTimeout(function () {
		// 		$('#inputTag').focus();
		// 	}, 0)
		// }
	});
	mui('#header').on('tap', '.mui-icon-filter', function () {
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-000-02","信息披露-搜索-筛选图标")
		var clsList = self.$iconFilter.classList,
			type = 'all';
		if (clsList.contains('week')) {
			type = 'week';
		} else if (clsList.contains('month')) {
			type = 'month';
		} else if (clsList.contains('custom')) {
			type = 'custom';
		}

		// 调用原生时间筛选方法
		// if (mui.os.android) {
		// 	android.showDateRange(type)
		// } else {
		// 	native.ui.showDateRange(type)
		// }
		// console.log($('header').outerHeight());
		$('.popup').css("padding-top", $('header').outerHeight())
		let popup = document.getElementById('popup')
		popup.style.display = popup.style.display === "block" ? "none" : "block"

		mainDisc.fildata = JSON.parse(JSON.stringify(mainDisc.recordFilter))

	});
	// 返回
	mui('#header').on('tap', '.mui-icon-left-nav', function () {
		debugger
		szse.setStorage('disclosure.menuIndex', '');
		szse.setStorage("discDateStart", "");
		szse.setStorage("discDateEnd", "");
		szse.setStorage("discFilter", "all");
		localStorage.removeItem('ircs|iaskdata')
		localStorage.removeItem('ircs|companydata')
		szse.close();
	});

	// 弹窗关闭按钮
	$('#closebtn').on('click', function () {
		let popup = document.getElementById('popup')
		popup.style.display = popup.style.display === "block" ? "none" : "block"
		// $(".mui-btn").click()
		$(".mui-dtpicker").remove()
		$(".mui-backdrop").remove()
		$('#popup li').removeClass('active');
		// mui.trigger(mui('.mui-btn')[0], 'tap');

		// $(".popup-content li").each(function (index, element) {
		// 	mainDisc.activeNum.forEach(v => {
		// 		if (index == v) {

		// 		}
		// 	})
		// })
		mainDisc.activeNum.forEach(v => {
			// $(".popup-content li")[v].addClass("active")
			$(".popup-content li")[v].classList.add('active')
		})

		if (!$("#show-select").hasClass('active')) {
			// console.log(66);
			$(".select").css("display", "none")
		} else {
			$(".select").css("display", "flex")
		}

	})

	// 板块选择
	$('#filter-content').on('click', '#plate li', function (e) {
		// console.log(e);
		let event = e || window.event;
		let target = event.target || event.srcElement;
		// console.log(target, mainDisc.fildata.plateCode);
		$(this).siblings('li').removeClass('active');  // 删除其他兄弟元素的样式
		if (target.classList.contains('active')) {
			$(this).removeClass('active');
			mainDisc.fildata.plateCode = []
		} else {
			mainDisc.fildata.plateCode = [target.id]
			$(this).addClass('active');                            // 添加当前元素的样式
		}
	})

	$('#filter-content').on('click', '#plate i', function (e) {
		e.stopPropagation();
		$(this).parent().click()
	})
	$('.popup-content').on("click", 'li', function () {
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-000-03","信息披露-搜索-筛选图标-点击筛选条件")
		// var actvieNum = 0
		// $(".popup-content li").each(function () {
		// 	if ($(this).hasClass("active")) {
		// 		actvieNum = actvieNum + 1;
		// 		return actvieNum;
		// 	}
		// })
		// $('.mui-icon-filter').attr('data-after', actvieNum);
		// if (actvieNum > 0) {
		// 	$(".mui-icon-filter").addClass("mui-icon-text")
		// } else {
		// 	$(".mui-icon-filter").removeClass("mui-icon-text")
		// }

	})

	// 选择类别
	$('#filter-content').on('click', '#category li', function (e) {
		let event = e || window.event;
		// console.log(e);
		let target = event.target || event.srcElement;
		if (target.classList.contains('active')) {
			$(this).removeClass('active');
			$(this).children().removeClass('active');
			let index = mainDisc.fildata.bigCategoryId.indexOf(target.id);
			if (index !== -1) {
				mainDisc.fildata.bigCategoryId.splice(index, 1)
			}
			let index1 = mainDisc.fildata.smallCategoryId.indexOf(target.id);
			if (index1 !== -1) {
				mainDisc.fildata.smallCategoryId.splice(index1, 1)
			}
		} else {
			// console.log(121);
			// console.log($(this).addClass('active'));
			$(this).addClass('active');
			if (mainDisc.channelCode === 'bondinfoNotice_disc') {

				mainDisc.fildata.smallCategoryId.push(target.id)
			} else {
				mainDisc.fildata.bigCategoryId.push(target.id)
			}
		}
		// console.log(mainDisc.fildata.bigCategoryId);

	})

	$('#filter-content').on('click', '#category i', function (e) {
		e.stopPropagation();
		$(this).parent().click()
	})

	// 日期选择
	$('#date-time').on('click', 'li', function (e) {
		let event = e || window.event;
		let target = event.target || event.srcElement;
		// console.log(target.innerHTML);
		let today = new Date()
		// 过滤时间方法 
		function setTime(data) {
			data = new Date(data)
			let year = data.getFullYear()
			let month = data.getMonth() + 1
			let day = data.getDate()
			month = month > 9 ? month : `0${month}`
			day = day > 9 ? day : `0${day}`
			return `${year}-${month}-${day}`
		}
		$(".mui-dtpicker").remove()
		$(".mui-backdrop").remove()
		if (target.classList.contains('active')) {
			mainDisc.fildata.seDate = []  // 时间
			$('#filter-click').removeClass('week')
			$('#filter-click').removeClass('month')
			$('#filter-click').removeClass('custom')
			$('.select').css('display', 'none')
			$(this).removeClass('active');
		} else {



			if (target.innerHTML === '自定义') {
				$('.select').css('display', 'flex')
				// $('#filter-click').removeClass('week')
				// $('#filter-click').removeClass('month')
				// $('#filter-click').addClass('custom')
				mainDisc.fildata.seDate[0] = setTime(new Date())
				mainDisc.fildata.seDate[1] = setTime(new Date())
				document.getElementById('starttime').innerHTML = setTime(new Date())
				document.getElementById('endtime').innerHTML = setTime(new Date())
			} else if (target.innerHTML === '今天') {
				// $('#filter-click').removeClass('week')
				// $('#filter-click').removeClass('month')
				// $('#filter-click').removeClass('custom')
				$('.select').css('display', 'none')
				setTime(today)
				mainDisc.fildata.seDate[0] = setTime(today)
				mainDisc.fildata.seDate[1] = setTime(today)
				// console.log(setTime(today));
			} else if (target.innerHTML === '最近三天') {
				// $('#filter-click').removeClass('week')
				// $('#filter-click').removeClass('month')
				// $('#filter-click').removeClass('custom')
				$('.select').css('display', 'none')
				mainDisc.fildata.seDate[1] = setTime(today)
				// console.log(setTime(today));
				today = new Date(today.setDate(today.getDate() - 3))
				// console.log(setTime(today));
				mainDisc.fildata.seDate[0] = setTime(today)

			} else if (target.innerHTML === '最近一周') {
				// $('#filter-click').removeClass('month')
				// $('#filter-click').removeClass('custom')
				// $('#filter-click').addClass('week')
				$('.select').css('display', 'none')
				// console.log(setTime(today));
				mainDisc.fildata.seDate[1] = setTime(today)
				today = new Date(today.setDate(today.getDate() - 7))
				// console.log(setTime(today));
				mainDisc.fildata.seDate[0] = setTime(today)
			} else if (target.innerHTML === '最近一月') {
				// $('#filter-click').removeClass('custom')
				// $('#filter-click').addClass('week')
				// $('#filter-click').addClass('month')

				$('.select').css('display', 'none')
				// console.log(setTime(today));
				mainDisc.fildata.seDate[1] = setTime(today)
				today = new Date(today.setMonth(today.getMonth() - 1))
				// console.log(setTime(today));
				mainDisc.fildata.seDate[0] = setTime(today)
			}
			// console.log(mainDisc.fildata.seDate);
			$(this).siblings('li').removeClass('active');  // 删除其他兄弟元素的样式
			$(this).addClass('active');                // 添加当前元素的样式
		}
	})

	// 确认按钮
	mui('#popup').on('tap', '#enterbtn', function () {
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-000-04","信息披露-搜索-筛选图标-确认")
		mainDisc.recordFilter = JSON.parse(JSON.stringify(mainDisc.fildata))

		mainDisc.pageNum = 1 // 页数初始化
		mainDisc.isender = true
		mui('#pullrefresh').pullRefresh().pulldownLoading();
		// mainDisc.getFliter()
		// $('#pullrefresh').scrollTo(0, 0)
		mui('#pullrefresh').scroll().y = 0
		let popup = document.getElementById('popup')
		popup.style.display = popup.style.display === "block" ? "none" : "block"
		// mainDisc.fildata
		mainDisc.activeNum = []
		$(".popup-content li").each(function (index, element) {
			// console.log(element.classList.contains('active'));
			if (element.classList.contains('active')) {
				if (mainDisc.activeNum.indexOf(index) == -1) {

					mainDisc.activeNum.push(index)
				}
			}
		}
		)

		var actvieNum = 0
		$(".popup-content li").each(function () {
			if ($(this).hasClass("active")) {
				actvieNum = actvieNum + 1;
				return actvieNum;
			}
		})
		$('.mui-icon-filter').attr('data-after', actvieNum);
		if (actvieNum > 0) {
			$(".mui-icon-filter").addClass("mui-icon-text")
		} else {
			$(".mui-icon-filter").removeClass("mui-icon-text")
		}
	})

	// 自定义时间
	// 起始时间
	document.getElementById('starttime').addEventListener('tap', function () {
		$(".mui-dtpicker").remove()
		$(".mui-backdrop").remove()
		var endTimeDate = document.getElementById('endtime').innerHTML
		var option = { "type": "date", "beginYear": "1980", "endYear": "2030", "endDate": new Date(endTimeDate) };
		// var picker = new mui.DtPicker(option);
		if (mainDisc.fildata.seDate[0] !== '') {
			var picker = new mui.DtPicker({
				"type": "date",
				"value": mainDisc.fildata.seDate[0],
				"beginYear": "1980",
				"endYear": "2030",
				"endDate": new Date(endTimeDate)
			})
		} else {
			var picker = new mui.DtPicker(option);
		}
		picker.show(function (rs) {
			mainDisc.fildata.seDate[0] = rs.text
			document.getElementById('starttime').innerHTML = rs.text;
		});
	}, false);
	//结束时间
	document.getElementById('endtime').addEventListener('tap', function () {
		$(".mui-dtpicker").remove()
		$(".mui-backdrop").remove()
		var startTimeDate = document.getElementById('starttime').innerHTML
		var option = {
			"type": "date",
			"beginYear": "1980",
			"endYear": "2030",
			"beginDate": new Date(startTimeDate)
		};
		// var picker = new mui.DtPicker(option);
		if (mainDisc.fildata.seDate[1] !== '') {
			var picker = new mui.DtPicker({
				"type": "date",
				"value": mainDisc.fildata.seDate[1],
				"beginYear": "1980",
				"endYear": "2030",
				"beginDate": new Date(startTimeDate)
			})
		} else {
			var picker = new mui.DtPicker(option);
		}

		picker.show(function (rs) {
			mainDisc.fildata.seDate[1] = rs.text
			document.getElementById('endtime').innerHTML = rs.text;
		});
	}, false);

	// 重置按钮
	$('#resetbtn').click(function () {
		mainDisc.recordUserOperation("OA-SZSE-01-DISCLOSURE-00-01-000-05","信息披露-搜索-筛选图标-重置")
		mainDisc.fildata = {
			plateCode: [],  // 板块code 
			bigCategoryId: [], // 类别
			seDate: [],  // 时间
			smallCategoryId: []
		}
		$('#filter-click').removeClass('week')
		$('#filter-click').removeClass('month')
		$('#filter-click').removeClass('custom')
		$('.select').css('display', 'none')
		$('#popup li').removeClass('active')
		// $(".mui-icon-filter").removeClass("mui-icon-text")
	})

};

// 菜单切换时 重新获取数据
Index.prototype.onChangeMenuIndex = function () {
	document.getElementById('main').style.transform = 'translate3d(0px, 0px, 0px) translateZ(0px)';
	szse.setStorage('disclosure.menuIndex', this.menuIndex);
	location.reload();

}

// 获取数据
Index.prototype.fetch = function () {
	var curMenu = this.menuList[this.menuIndex],
		initUrl = curMenu.initUrl,
		tag = curMenu.tag,
		$tableView = document.getElementById('content').getElementsByClassName('mui-table-view')[0];
	if (initUrl == '/disclosure/notice/') {
		this.$iconFilter.style.display = 'none';
		$tableView.classList.remove('disc-list-container');
		$tableView.classList.add('list-container');
		main.init(initUrl, tag);
	} else {
		this.$iconFilter.style.display = 'inline-block';
		$tableView.classList.remove('list-container');
		$tableView.classList.add('disc-list-container');
		mainDisc.init(initUrl, tag);
	}
};

// 物理返回键，该函数由安卓调用
window.historyBackFun = function () {
	szse.setStorage("discDateStart", "");
	szse.setStorage("discDateEnd", "");
	szse.setStorage("discFilter", "all");
	localStorage.removeItem('ircs|iaskdata')
	localStorage.removeItem('ircs|companydata')
	szse.close();
};

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

/******/ });