/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 10);
/******/ })
/************************************************************************/
/******/ ({

/***/ 10:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__scss_style_scss__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__scss_style_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__scss_style_scss__);


function getMenuChildByChnlCode(data, chnlCode, fieldName){
    var res = [];
    mui.each(data, function(index, item){
        if(item.chnlCode != chnlCode) return;
        res = fieldName ? item[fieldName] : item;
    });
    return res;
}

// 页面入口
window.initial = function() {
    //页面主体类
    window.MainClass = {
        createNew: function() {
            var main = {};

            //初始化函数
            main.init = function() {
                main.getMenuTree();
                main.bindEvents();                
            };

            //数据获取
            main.getMenuTree = function() {
                szse.load(true);
                szse.ajax({
                    url: domain.cmsweb + '/menuTree.json',
                    contentType: "json",
                    type: "GET",
                    tag: 70001,
                    success: function(data) {
                        if (data.code == 0) {
                            var child = getMenuChildByChnlCode(data.data, 'investorEdu', 'children'),
                                subChild = getMenuChildByChnlCode(child, 'memberHome', 'children'),
                                menuInfo = getMenuChildByChnlCode(subChild, 'achievement', 'children');
                            szse.setStorage('mAchievement.menuInfo', menuInfo);
                            // main.fetch(getMenuChildByChnlCode(menuInfo, 'achievementForeword', 'chnlJsonPath'));
                            var imgW = document.getElementById('imgWrap').offsetWidth;
                            var imgH = parseInt(imgW / (723 / 403));
                            document.getElementById('imgWrap').style.height = imgH + 'px';
                        } else {
                            console.warn('数据获取失败\n' + '详情：' + data.message);
                        }
                        szse.load(false);
                    },
                    error: function(data) {
                        szse.load(false);
                        szse.ajaxErrorTip(data)
                    }
                });
            };

            //数据获取
            // main.fetch = function(chnlJsonPath) {
            //     szse.ajax({
            //         url: domain.cmsweb + chnlJsonPath + 'index.json',
            //         contentType: "json",
            //         type: "GET",
            //         tag: 70002,
            //         success: function(data) {
            //             if (data.code == 0) {
            //                 main.getDetail(data.data[0].jsonPath);
            //             } else {
            //                 console.warn('数据获取失败\n' + '详情：' + data.message);
            //             }
            //         },
            //         error: function(data) {
            //             szse.load(false);
            //             szse.ajaxErrorTip(data)
            //         }
            //     });
            // };

            //数据获取
            // main.getDetail = function(jsonPath) {
            //     szse.ajax({
            //         url: domain.cmsweb + jsonPath,
            //         contentType: "json",
            //         type: "GET",
            //         tag: 70003,
            //         success: function(data) {
            //             if (data.code == 0) {
            //                 let res = data.data;
            //                 mui('#imgWrap')[0].innerHTML = '<img src="'+ domain.cmsweb + res.imgList[0] +'">';
            //                 mui('#content')[0].innerHTML = res.content;
            //             } else {
            //                 console.warn('数据获取失败\n' + '详情：' + data.message);
            //             }
            //             szse.load(false);
            //         },
            //         error: function(data) {
            //             szse.load(false);
            //             szse.ajaxErrorTip(data)
            //         }
            //     });
            // };

            main.bindEvents = function() { //事件注册
                // 返回
                if (domain.storageFlag) {
                    mui('#header').on('tap', '.mui-icon-left-nav', function() {
                        szse.close();
                    });
                }
                mui('#entranceList').on('tap', '.mui-table-view-cell a', function(e) {
                    var chnlcode = this.getAttribute('chnlcode');
                    if(!chnlcode) return;
                    var menuInfo = szse.getStorage('mAchievement.menuInfo'),
                        subMenuInfo = getMenuChildByChnlCode(menuInfo, chnlcode);
                    szse.setStorage('mAchievement.subMenuInfo', subMenuInfo);
                    szse.setStorage('mAchievement.menuIndex', 0);
                    szse.setStorage('mAchievement.subMenuIndex', 0);
                    // 跳转页面
                    window.location.href = 'view/list.html';
                });
            };

            return main;
        }
    };

    var main = MainClass.createNew();
    main.init();
};

// 物理返回键
window.historyBackFun = function(){
    mui.trigger(mui("#header .mui-icon-left-nav")[0], 'tap');
};

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

/******/ });