/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 7);
/******/ })
/************************************************************************/
/******/ ({

/***/ 7:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__webApp_common_source_js_domain__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__scss_common_scss__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__scss_common_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__scss_common_scss__);


// import '../scss/disc.scss';

var index = null;


// 页面入口
window.initial = function () {
    index = new Index();
    index.init();
};

// 构建主页对象
var Index = function () {
    
};

// init函数
Index.prototype.init = function () {	
	//设置当前菜单索引	
	var menuIndex = szse.getStorage('szserules.menuIndex');
    this.menuIndex = menuIndex ? Number(menuIndex) : 0;	
	var tagMenu = szse.getStorage('szserules.tagMenu') || [400,410,420,430,441,450,460];
	if(!Array.isArray(tagMenu)){
		tagMenu = JSON.parse(tagMenu);
	}   
    this.menuList = [];
    //从后台请求菜单栏的数据
	szse.ajax({
        url: domain.cmsweb + "/api/report/appchannel/queryChanneltoApp?chnlCode=szseBussrules",        
        contentType: "json",
        type: "GET",
        data: "",        
        success:  (data) => {
            console.log(data);
            var arr = [];
				var oldMenuArr = [
					{ name: '综合类', initUrl: "/lawrules/rule/all/", tag: 410 },
					{ name: '创业板改革并试点注册制规则', initUrl: '/lawrules/rule/gem/', tag: 410 },
					{ name: '发行类', initUrl: '/lawrules/rule/publishtype/', tag: 420 },
					{ name: '上市挂牌类', initUrl: '/lawrules/rule/listed/', tag: 430 },
					{ name: '交易类', initUrl: '/lawrules/rule/tradetype/', tag: 400 },
					{ name: '股票期权类', initUrl: '/lawrules/rule/optionType/', tag: 441 },
					{ name: '会员类', initUrl: '/lawrules/rule/member/', tag: 450 },
					{ name: '服务与收费类', initUrl: '/lawrules/rule/service/', tag: 460 },		
				];
				
				var getNum = function(){
					var num = 40000 + Math.ceil(Math.random()*10000) - 1;
					if(tagMenu.indexOf(num) > -1){
						num = getNum()
					}else{
						tagMenu.push(num);
					}					
					return num;
				}
				
				data.data[0].children.forEach(item=>{
					let obj = {};
					obj.name = item.chnlName;
					obj.initUrl = item.chnlJsonPath;
					obj.tag = item.tag;
					oldMenuArr.forEach(i=>{
						if(i.initUrl == obj.initUrl){
							obj.tag = i.tag
						}
					})
					if(!obj.tag){
						obj.tag = getNum();
					}
					this.menuList.push(obj);
				})
				szse.setStorage('szserules.tagMenu',tagMenu);
				this.menuRender();
				this.menuBindEvents();
				this.fetch();
        },
        error: function (data) {
			mui('#header').on('tap', '.mui-icon-left-nav', function() {        
				szse.close();
			});
            szse.toast("暂无数据");       
        }
    });
	        
};

// 菜单渲染
Index.prototype.menuRender = function () {
	var menuDom = '',
		menuIndex = this.menuIndex;			
	// this.menuList = [
	// 	{ name: '综合类', initUrl: "/lawrules/rule/all/", tag: 410 },
    //     { name: '创业板改革并试点注册制规则', initUrl: '/lawrules/rule/gem/', tag: 410 },
    //     { name: '发行类', initUrl: '/lawrules/rule/publishtype/', tag: 420 },
    //     { name: '上市挂牌类', initUrl: '/lawrules/rule/listed/', tag: 430 },
    //     { name: '交易类', initUrl: '/lawrules/rule/tradetype/', tag: 400 },
    //     { name: '股票期权类', initUrl: '/lawrules/rule/optionType/', tag: 441 },
	// 	{ name: '会员类', initUrl: '/lawrules/rule/member/', tag: 450 },
	// 	{ name: '服务与收费类', initUrl: '/lawrules/rule/service/', tag: 460 },		
	// ];
	mui.each(this.menuList, function(index, item){
		menuDom += '<a class="nav-slider-item'+ (index== menuIndex? ' nav-item-active' : '') +'" href="#item'+ index +'">'+ item.name +'</a>';
	});
  	var sliderDOM = document.getElementById('sliderSegmentedControl').getElementsByClassName('mui-scroll')[0];
	sliderDOM.innerHTML = menuDom;		
	// sliderDOM.scrollLeft = Math.abs(sliderScrollX);
	console.log("index",this.menuIndex);
};

// 菜单绑定事件
Index.prototype.menuBindEvents = function () {
    var self = this;
    mui('#sliderSegmentedControl').on('tap', '.nav-slider-item', function (e) {		
		document.location.href=this.getAttribute('href');
        self.menuIndex = Number(this.getAttribute('href').replace('#item', ''));		
        self.onChangeMenuIndex();				
    });
	// var timer;
	// mui('#sliderSegmentedControl')[0].getElementsByClassName('mui-scroll')[0].onscroll = function(e){
	// 	clearTimeout(timer);
	// 	timer = setTimeout(()=>{					
	// 		szse.setStorage("szserules.sliderScrollX",e.target.scrollLeft)			
	// 	},20)
		
	// }    
    mui('#header').on('tap', '.mui-icon-left-nav', function() {        
        szse.close();
    });
};

// 菜单切换时 重新获取数据
Index.prototype.onChangeMenuIndex = function () {	
    document.getElementById('main').style.transform = 'translate3d(0px, 0px, 0px) translateZ(0px)';		
	var el = document.getElementById('content').getElementsByClassName("mui-table-view")[0];
	mui("#pullrefresh").off("tap", ".mui-table-view-cell");
	el.innerHTML = "";
	main.pageNum = 1;
	main.jsonPath = "index.json";
	var domArr = document.getElementById('sliderSegmentedControl').getElementsByClassName("nav-slider-item");
	for(let i = 0;i <domArr.length;i++){
		if(domArr[i].classList.contains("nav-item-active")){
			domArr[i].classList.remove("nav-item-active");
		}
	}
	domArr[this.menuIndex].classList.add("nav-item-active");	
	this.fetch();
}

// 获取数据
Index.prototype.fetch = function () {
	var curMenu = this.menuList[this.menuIndex],
		initUrl = curMenu.initUrl,
		tag = curMenu.tag;	
		main.init(initUrl,tag);	
};

// 物理返回键，该函数由安卓调用
window.historyBackFun = function(){
	szse.close();
};

/***/ }),

/***/ 8:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/**
 * 深交所官网APP - 公共设置
 * version : 2.0.0
 */

//判断是否启用真机模式
var _storageFlag = false; //真机标识

/**
 * 根据环境配置接口域名
 * 含：81 的为[开发域,测试域,安装域],不含为生产域
 * 带https的为与用户登录有关的接口
 * fileUrl 为文件下载接口
 */
var serverMTest = { //测试域
    szseUrl: "http://www-test.szse.cn:8170",
    userUrl: "https://www-test.szse.cn:15443",
    fileUrl: "http://disc-test.static.szse.cn:8170",
    attachUrl: "http://docs-test.static.szse.cn:8170/www"
}

var serverMdev = { //开发域
    szseUrl: "http://www-dev.szse.cn:8270",
    userUrl: "https://www-dev.szse.cn:17443",
    fileUrl: "http://disc-dev.static.szse.cn:8270",
}

var serverInstall = { //安装域
    szseUrl: "http://www-ins.szse.cn:8370",
    userUrl: "https://www-ins.szse.cn:19443",
    fileUrl: "http://disc-ins.static.szse.cn:8370",
    attachUrl: "http://docs-ins.static.szse.cn:8370/www"
}

var serverPrd = { //生产域
    szseUrl: "http://www.szse.cn",
    userUrl: "https://www.szse.cn",
    fileUrl: "http://disc.static.szse.cn",
    attachUrl: "http://docs.static.szse.cn/www"
}

//自执行判断所处环境
var serverHost = (function() {
    var hostJson;
    if (_storageFlag) {
        hostJson = serverMTest;
    } else {
        hostJson = serverMTest; 
    }
    return hostJson;
})();

//构建domain对象并暴露
var DOMAIN = {
    'storageFlag': _storageFlag,
    'downloadUrl': serverHost.fileUrl, //下载地址
    'discweb': serverHost.szseUrl + "/api/disc/", //后端disc接口 公告列表
    'reportweb': serverHost.szseUrl + "/api/report/", //后端report文章接口
    'reportUrl': serverHost.szseUrl + "/api/report/ShowReport/datam?SHOWTYPE=JSONM&CATALOGID=", //后端report报表接口
    'cmsweb': serverHost.szseUrl, //cms文章接口
    'cmsAttach': serverHost.attachUrl, //cms附件接口 如videoList,imgList里返回的路径拼接
    'marketweb': serverHost.szseUrl + '/api/market/', //行情接口
    'userweb': serverHost.userUrl + "/api/user/", //用户信息
    'userUrl': serverHost.userUrl, //有关用户的接口
    'shareUrl': serverHost.szseUrl + "/modules/app/sharearticle.html?jsonUrl=", //分享HTML页面的接口
    'commonObj': {} //公共存储所有数据的变量
};

/* unused harmony default export */ var _unused_webpack_default_export = (DOMAIN);

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

/******/ });