
(function() {
    window.initial = function() {
        config.titleClickFlag = false;
        // document.getElementById('main').innerHTML = '<div class="search"><div class="search-bg"><form id="searchForm"><div class="search-panel"><a href="javascript:;" class="s-icon"></a><input type="text" maxlength="100" id="search-input" placeholder="请输入代码/简称/关键字" autofocus><i class="s-clean"></i></div></form></div><div class="search-content"><ul class="search-result" id="search-result"></ul></div></div>';
        var isGetJson = szse.getDetailJson() || false // 判断是否是原生直接打开
        if(isGetJson){
            szse.setStorage("stockCode", isGetJson);
            setTimeout(function(){
                    // 渲染详情页
                initDetail(screen.height,false);
            },0);
        }
        document.getElementById('searchWrap').innerHTML = '<div class="search"><div class="search-bg"><form id="searchForm"><div class="search-panel"><a href="javascript:;" class="s-icon"></a><input type="search" maxlength="100" id="search-input" placeholder="请输入代码/简称/关键字" autofocus><i class="s-clean" style="display: none;"></i></div></form></div><div class="search-content"><ul class="search-result" id="search-result"></ul></div></div>';
        mui('.title-text p')[0].innerHTML = '行情';
        mui('.title-text')[0].style.display = 'none';
        var search = new searchFun();
        search.init();
    };
    var searchFun = function() {
        this.valueChange = null;
        this.tag = 0;
        this.val = "";
        this.isLiObj = {
            falg: false,
            online:true,
            code: null
        };
        this.bodyHeight = screen.height;
    };
    searchFun.prototype.del = function() {
        // val = false
        // 清请求
        // 收列表

        //val = true
        //请求
        //清之前的请求
        //开列表
    };
    searchFun.prototype.sea = function() {
        // val = false
        // return false
        // hideInputMethod
        //val = true
        //清搜索请求
        //收键盘
    };
    searchFun.prototype.bindEvent = function() {
        var self = this;

        // 针对中文输入
        var flag = true;
        mui('.search').on('compositionstart', '#search-input', function() {
            flag = false;
        });
        mui('.search').on('compositionend', '#search-input', function() {
            flag = true;
        });

        document.getElementById("search-input").addEventListener("input", function() {
            var _this = this;
            if (self.valueChange) {
                clearTimeout(self.valueChange);
            }
            self.valueChange = setTimeout(function() {
                if (flag) {
                    var val = _this.value;
                    if (val) {
                        mui('.s-clean')[0].style.display = 'block';
                        // mui(".search-content")[0].style.display = "none";
                        self.val = val;
                        //清除之前发的请求
                        szse.cancelHttp(self.tag);
                        self.tag++;
                        self.fetch();
                    } else {
                        szse.cancelHttp(self.tag);
                        self.clean();
                    }
                }
            }, 250);
        }, false);

        document.getElementsByTagName('form')[0].onsubmit = function(e) {
            e.preventDefault();
            self.searchHideInput();
            if (self.isLiObj.falg) {
                stockCode = self.isLiObj.code;
            } else {
                if(self.isLiObj.online){
                    szse.toast("请输入正确的代码！");
                }else{
                    mui(".search-content")[0].style.display = "block";
                    mui(".search-result")[0].innerHTML = '<div id="errorBox" style="height: 80%;top: 3rem;"><div class="error"><div class="errorImg"></div><div class="slogan"><p>无网络连接</p></div></div></div>';
                }
                // return;
            }
            // szse.setStorage("stockCode", stockCode);
            szse.setStorage("stockCode", '000001');
            console.log(self.bodyHeight);
            initDetail(self.bodyHeight);
        };

        mui('.search').on("tap", ".s-clean", function() {
            if (self.valueChange) {
                clearTimeout(self.valueChange);
            }
            szse.cancelHttp(self.tag);
            self.clean();
        });

        mui('#bar').on("tap", ".back-icon", function() {
            if (mui('.top-bar-info>a.search')[0].style.display == 'block' && !szse.getDetailJson()) {
                location.reload();
            } else {
                szse.close();
            }
        });
        mui('#bar').on("tap", ".to-search-btn", function() {
            self.searchHideInput();
            if (self.isLiObj.falg) {
                stockCode = self.isLiObj.code;
            } else {
                if(self.isLiObj.online){
                    szse.toast("请输入正确的代码！");
                }else{
                    mui(".search-content")[0].style.display = "block";
                    mui(".search-result")[0].innerHTML = '<div id="errorBox" style="height: 80%;top: 3rem;"><div class="error"><div class="errorImg"></div><div class="slogan"><p>无网络连接</p></div></div></div>';
                }
                // return;
            }
            // szse.setStorage("stockCode", stockCode);
            szse.setStorage("stockCode", '000001');
            console.log(self.bodyHeight);
            initDetail(self.bodyHeight);
        })
        mui("body").on("tap", ".search-content", function(e) {
            e.stopPropagation();
            mui("#search-input")[0].blur();
            szse.hideInputMethod();
        });

        mui("body").on("swipeup", ".search-content", function(e) {
            e.stopPropagation();
            mui("#search-input")[0].blur();
            szse.hideInputMethod();
        });
        mui("body").on("swipedown", ".search-content", function(e) {
            e.stopPropagation();
            mui("#search-input")[0].blur();
            szse.hideInputMethod();
        });
        mui(".search").on("tap", "li", function(e) {
            e.stopPropagation();
            self.searchHideInput();            
            var code = this.getAttribute("code");
            stockCode = code;
            mui("#search-input")[0].value = code;
            szse.setStorage("stockCode", stockCode);
            console.log(self.bodyHeight);
            setTimeout(function(){
                    // 渲染详情页
                initDetail(self.bodyHeight);
            },300);
        });
        //val = true
        //请求
        //清之前的请求
        //开列表
    };


    searchFun.prototype.back = function() {

    }
    searchFun.prototype.clean = function() {
        var self = this;
        self.val = '';
        mui("#search-input")[0].value = '';
        mui(".search-content")[0].style.display = "none";
        mui(".search-result")[0].innerHTML = "";
        mui('.s-clean')[0].style.display = 'none';
    };
    searchFun.prototype.searchHideInput = function() {
        mui(".search-content")[0].style.display = "none";
        mui("#search-input")[0].blur();
        szse.hideInputMethod();
    };
    searchFun.prototype.fetch = function() {
        var self = this;
        self.isLiObj.online = true;
        var dataType=encodeURI('XA||ZA||DM||BG||CY||EB||JJ||ZQ||[zslb]||[zczczq]||[reits]');
        szse.ajax({
            url: domain.cmsweb + "/api/report/shortname/gethangqing?dataType="+dataType+"&input=" + encodeURI(self.val),
            contentType: "json",
            type: "GET",
            data: "",
            tag: self.tag,
            success: function(data) {
                if (data.data) {
                    var htmlStr = "";
                    var len = data.data.length,
                        i = 0;

                    if (len > 0) {
                        for (i; i < len; i++) {
                            var sKey = '<span style="color: #e05054;">' + self.val + '</span>';
                            var code = data.data[i].code;

                            var sText = code.replace(new RegExp(self.val, 'g'), sKey);

                            if (i == 0) {
                                htmlStr += '<li class="active" code="' + data.data[i].code + '">' + sText + '    ' + data.data[i].name + '</li>';
                            } else {
                                htmlStr += '<li code="' + data.data[i].code + '">' + sText + '    ' + data.data[i].name + '</li>';
                            }
                        }
                        mui(".search-content")[0].style.display = "block";
                        mui(".search-result")[0].innerHTML = htmlStr;
                        self.isLiObj.falg = true;
                        self.isLiObj.code = data.data[0].code;
                    } else {
                        mui(".search-result")[0].innerHTML = '';                        
                        mui(".search-content")[0].style.display = "none";
                        self.isLiObj.falg = false;
                    }
                }
            },
            error: function(data) {
                if(data == "2"){
                    self.isLiObj.online = false;
                }
                szse.ajaxErrorTip(data);
                // console.warn('数据获取失败\n' + '接口：' + xhr.responseURL + '\n类型：' + type + '\n详情：' + errorThrown);
            }
        });
    };
    searchFun.prototype.contentHight = function() {
        var windowH = $(window).height();
        var headerH = mui("header")[0].offsetHeight;
        var searchInput = mui(".search-bg")[0].offsetHeight;
        // mui(".search-content")[0].style.height = (windowH - headerH - searchInput - 10) + "px";
        // mui(".search-content")[0].style.height = (windowH - headerH - 10) + "px";
        mui(".search-content")[0].style.height = (windowH - headerH) + "px";
    };

    searchFun.prototype.init = function() {
        if (mui.os.ios && (document.body.clientHeight < 800)) {
            document.querySelector('header').style.height = '66px';
            document.querySelector('header').style.paddingTop = '35px';
            document.querySelector('#main').style.paddingTop = '66px';
        }
        this.contentHight();
        this.bindEvent();
    }
})(window);