//页面统一配置
var config = {
    template: { // --------------------------模板
        trendTemStr: $('#trendTemplate').html(), //行情详细数据
    },
    minuteUrl: domain.marketweb + 'ssjjhq/getTimeData?', //分时url
    kUrl: domain.marketweb + 'ssjjhq/getHistoryData?', //k线url
    GEMmarkUrl: domain.reportweb + 'index/onepersistenthour/getCybXxplData?code=', //创业板信披标示 ydu 20200429
    // minuteUrl: 'json/minute.json', //分时url 指数
    // minuteUrl: 'json/minute2.json', //分时url   证券
    // kUrl: 'json/history.json', //k线url
    charts: {},
    code: '399001',
    titleClickFlag: false,
    marketId: 1, //行情接口marketId值
    getSystemTimeUrl: domain.marketweb + 'ssjjhq/getDate', //服务器时间
}
window.initDetail = function (bodyHeight,falg = true) {
    document.getElementById('main').innerHTML = '<div class="trend-wrap" id="trend-wrap"><div class="pic-chart"><div class="trend-detail-wrap"><div class="detail-info"> </div></div><ul class="pic-tabs clearfix"><li class="active"><a href="javascript: void(0);">分时</a></li><li class=""><a href="javascript: void(0);">日线</a></li><li><a href="javascript: void(0);">周线</a></li><li><a href="javascript: void(0);">月线</a></li></ul><div class="tabs-content"><div id="minutely" class="tab-panel active"></div><div id="daily" class="tab-panel"></div><div id="weekly" class="tab-panel"></div><div id="monthly" class="tab-panel"></div></div></div><div class="chart-notdata" id="chart-notdata"></div></div>';
    getCode();
    chartHight(bodyHeight);
    initElements();
    switchTabs();
    setChartData(true);
    topBindEvent(falg);
    config.titleClickFlag = true;
};

function getCode() {
    config.code = szse.getStorage("stockCode") ? szse.getStorage("stockCode") : "399001";
}

function chartHight(bodyHeight) {
    var windH = bodyHeight;
    var haderH = $("header").height();
    var infoH = $(".trend-detail-wrap").outerHeight(true);
    var tabH = $(".pic-tabs").outerHeight(true);
    var highStr = windH - haderH - infoH - tabH - 20;
    if (highStr < 268) {
        highStr = 268;
    }
    $(".tabs-content").height(highStr - 10);
}


//初始化dom元素
function initElements() {
    config.elements = {
        trendWrap: $('.trend-wrap'), //行情容器
        trendPic: $('.pic-chart', '.trend-wrap'), //行情图形
        minuteWrap: $('#minutely'), //分时图
        dayWrap: $('#daily'), //日线
        weekWrap: $('#weekly'), //周线
        monthWrap: $('#monthly'), //月线
        trendTabs: $('.pic-tabs', '.trend-wrap'), //行情tabs
        trendDetailWrap: $('.detail-info'), //行情详细信息容器,
        detailContent: null,
        clickflag: false,
        noWifiHtml: '<div id="errorBox"><div class="error"><div class="errorImg"></div><div class="slogan"><p>无网络连接<br/><span>点击屏幕重新加载<span></p></div></div></div>'
    }
}

//获取行情图
function setChartData(flag) {

    $.when($.ajax({
        url: domain.cmsweb + '/api/search/suggest',
        type: "POST",
        contentType: 'application/x-www-form-urlencoded',
        data: {
            keyword: config.code,
            host: config.isLefu && 'fund' ||
                config.isInvestor && 'investor' ||
                config.isBond && 'bond' ||
                config.isEipo && 'eipo' ||
                config.isFintech && 'fintech' ||
                void 0
        }
    }), $.ajax({
        url: config.getSystemTimeUrl,
        type: "GET"
    })).done(function (res, time) {
        var systemTime = time[0].now ? time[0].now.replace(/-/g, '/') : new Date();
        var marketIdFlag = new Date(systemTime).getTime() >= new Date('2022/05/16 8:50:00').getTime() ? true : false;
        if (res[0]) {
            // 获取marketId的值, SEC: '股票', JJ: '基金', ZS: '指数', ZQ: '债券'
            var zqTypeArr = ['国债', '地方政府债券', '政策性金融债', '政府支持债券', '企业债券', '公司债券', '可交换公司债券', '非公开发行公司债券', '非公开发行可交换公司债券', '创新创业可转换债券', '证券公司次级债券', '证券公司短期债券', '企业资产支持证券', '不动产投资信托（REITs）'];
            if (res[0] && res[0].length > 0) {
                if (marketIdFlag && ((res[0][0].type == 'ZQ' && $.inArray(res[0][0].smallType, zqTypeArr) > -1) || (res[0][0].type == 'ZS' && res[0][0].smallType == '债券'))) {
                    config.marketId = 12;
                } else {
                    config.marketId = 1;
                }
            } else {
                config.marketId = 1;
            }

            requestSetChartData(flag);
        }
    }).fail(function (data) {
        config.marketId = 1;
        requestSetChartData(flag);
    })

}

function requestSetChartData(flag) {
    var loadingPlugin = window.Loading(config.elements.trendPic);

    //开始加载
    if (loadingPlugin) {
        loadingPlugin.start();
    }

    $.when(ajaxRequest({
            // url: 'pcInfo/source/json/min.json',        
            url: config.minuteUrl + setRequestParam('minute'),
            type: 'GET',
            // data: setRequestParam('minute'),
            tag: "100",
            loadingPlugin: null
        }),
        ajaxRequest({
            // url: 'pcInfo/source/json/day1.json',            
            url: config.kUrl + setRequestParam('day'),
            type: 'GET',
            tag: "200",
            // data: setRequestParam('day'),
            loadingPlugin: null
        }),
        ajaxRequest({
            // url: 'pcInfo/source/json/month1.json',
            url: config.kUrl + setRequestParam('week'),
            type: 'GET',
            // data: setRequestParam('week'),
            tag: "300",
            loadingPlugin: null
        }),
        ajaxRequest({
            // url: 'pcInfo/source/json/year1.json',
            url: config.kUrl + setRequestParam('month'),
            type: 'GET',
            // data: setRequestParam('month'),
            tag: "400",
            loadingPlugin: null
        })).done(function (minData, dayData, weekData, monthData, GEMData) {
        // 定向可转债不显示行情 
        if (minData.data && minData.data.isPurposeful === true) {
            minData.datetime = "";
            $.each(minData.data, function (key, value) {
                if (key != 'name' && key != 'code' && key != 'isPurposeful') {
                    minData.data[key] = null;
                }
            });
            $.each(dayData.data, function (key, value) {
                if (key != 'name' && key != 'code' && key != 'isPurposeful') {
                    dayData.data[key] = null;
                }
            });
            $.each(weekData.data, function (key, value) {
                if (key != 'name' && key != 'code' && key != 'isPurposeful') {
                    weekData.data[key] = null;
                }
            });
            $.each(monthData.data, function (key, value) {
                if (key != 'name' && key != 'code' && key != 'isPurposeful') {
                    monthData.data[key] = null;
                }
            });
        }

        //结束加载
        if (loadingPlugin) {
            loadingPlugin.stop();
        }
        if (minData && dayData && weekData && monthData) {
            if (minData.code != 0 || dayData.code != 0 || weekData.code != 0 || monthData.code != 0) {
                if (!szse.hasWeb()) {
                    document.getElementById("chart-notdata").innerHTML = config.elements.noWifiHtml;
                } else {
                    szse.noData("chart-notdata");
                }
                $('.chart-notdata').show();
                return;
            }
        }
        if (!minData || !dayData || !weekData || !monthData) {
            if (!szse.hasWeb()) {
                document.getElementById("chart-notdata").innerHTML = config.elements.noWifiHtml;
            } else {
                szse.noData("chart-notdata");
            }
            $('.chart-notdata').show();
            return;
        }
        //ydu
        // minData.data.GEMData = GEMData.data || {}

        $('.chart-notdata').hide();
        var bondParamData = {
            isCashBond: +minData.data.groupId === 4 || false,
            isABS: +minData.data.groupId === 4 || false,
            isPledgeStyleBond: +minData.data.groupId === 6 || false,
            isDelayIndex: minData.data.releInfo && minData.data.releInfo.zslx == '3' && minData.data.releInfo.cfzqsclb == '1' && minData.data.releInfo.cfzqlb === 'ZQ', //是否是6只延时指数, //是否是6只延时指数
            isDrCB: minData.data.isPurposeful === true, //定项可转债20220708
            isNonDrCB: minData.data.isPurposeful === false, //不定项可转债20220708
            isNonDrCBIndex: minData.data.releInfo && minData.data.releInfo.zslx == '3' && minData.data.releInfo.cfzqsclb == '1' && minData.data.releInfo.cfzqlb === 'KZ', //不定项可转债指数20220708
            currentTradingType: minData.data.currentTradingType,
            auctionPrice: minData.data.auctionPrice
        };

        dayData.bondParamData = bondParamData;
        weekData.bondParamData = bondParamData;
        monthData.bondParamData = bondParamData;
        minChart(minData, flag);
        KlineChart(config.elements.dayWrap, dayData, "dayChart", flag);
        KlineChart(config.elements.weekWrap, weekData, "weekChart", flag);
        KlineChart(config.elements.monthWrap, monthData, "monthChart", flag);
        config.elements.clickflag = true;

    }).fail(function (data) {
        //结束加载
        if (loadingPlugin) {
            loadingPlugin.stop();
        }
        szse.ajaxErrorTip(data);
        if (!szse.hasWeb()) {
            document.getElementById("chart-notdata").innerHTML = config.elements.noWifiHtml;
        } else {
            szse.noData("chart-notdata");
        }
        $('.chart-notdata').show();
    })
}

function minChart(data, flag) {
    buildBasicInfo(data.data, data.type, data.data.groupId);
    buildUpdateTime(data.datetime, $('.mainquery-container'));

    var chartData = {
        data: data,
        grid: {
            index: [
                ['4%', 0, '48%', 0],
                ['65%', 0, '5%', 0]
            ]
        }
    };

    if (flag) {
        //实例化证券分时图
        var chart = new s.ui.controls.mLineChart(config.elements.minuteWrap, chartData);

        config.charts.minuteChart = chart;
    } else {
        config.charts.minuteChart.updateOption(chartData);
    }
}

function KlineChart(ele, data, chartName, flag) {
    var chartData = {
        data: data,
        grid: [
            ['4%', 0, '48%', 0],
            ['65%', 0, '5%', 0]
        ]
    };

    if (flag) {
        //实例化证券日线图
        var chart = new s.ui.controls.kLineChart(ele, chartData);
        config.charts[chartName] = chart;
    } else {
        config.charts[chartName].updateOption(chartData);
    }
}

//渲染更新时间
function buildUpdateTime(time, container) {
    time = time || '';
    var html = '<span class="update-time">' + time + '</span>';

    container.find('.update-time').remove();
    container.append($(html));
}


//设置请求数据
function setRequestParam(flag) {
    var data = {};
    var str;
    switch (flag) {
        case 'minute':
            data = {
                marketId: config.marketId,
                code: config.code
            };
            break;
        case 'day':
            data = {
                cycleType: 32,
                marketId: config.marketId,
                code: config.code
            };
            break;
        case 'week':
            data = {
                cycleType: 33,
                marketId: config.marketId,
                code: config.code
            };
            break;
        case 'month':
            data = {
                cycleType: 34,
                marketId: config.marketId,
                code: config.code
            };
            break;

    }
    var cycleTypeStr = data.cycleType ? "cycleType=" + data.cycleType + "&" : "";
    str = cycleTypeStr + "marketId=" + data.marketId + "&" + "code=" + data.code
    return str;
}

//渲染行情详细信息
function buildBasicInfo(obj, type, groupId) {
    var template = _.template(config.template.trendTemStr);
    var reg = /^\-/;
    titleContent(obj.name, obj.code);

    obj.ext = {};
    obj.newIsDown = reg.test(obj.deltaPercent); //false 涨   true 跌
    obj.openIsDown = +obj.open < +obj.close ? true : false;
    obj.highIsDown = +obj.high < +obj.close ? true : false;
    obj.lowIsDown = +obj.low < +obj.close ? true : false;
    obj.isMinChinext = groupId === 17; //是否是分时创业板 ydu 20200601
    obj.isFund = (groupId === 3 || groupId === 8 || groupId === 11); //是否是基金行情  xxmeng 20200702
    obj.isCDR = obj.isCDR === true; //是否是CDR xxmeng 20200702
    obj.iszshq = /^399?/.test(obj.code); //true为证券  false为指数
    obj.isCashBond = groupId === 4; //是否是现券
    obj.isABS = groupId === 4; //是否是ABS
    obj.isPledgeStyleBond = groupId === 6; //是否是质押式
    obj.groupId = groupId || ''; //xxmeng 20220714
    obj.isDelayIndex = obj.releInfo && obj.releInfo.zslx == '3' && obj.releInfo.cfzqsclb == '1' && obj.releInfo.cfzqlb === 'ZQ'; //是否是6只延时指数20220708
    obj.isDrCB = obj.isPurposeful === true; //定项可转债20220704
    obj.isNonDrCB = obj.isPurposeful === false; //不定项可转债(true：定向/false：不定向)20220704
    obj.isNonDrCBIndex = obj.releInfo && obj.releInfo.zslx == '3' && obj.releInfo.cfzqsclb == '1' && obj.releInfo.cfzqlb === 'KZ'; //不定向可转债指数 20220704
    obj.volume = obj.volume === null ? obj.volume : obj.volume * ((obj.isCashBond || obj.isABS) ? 100 : (obj.isDelayIndex ? 10000 : 1)); //现券、ABS、指数、质押式成交量单位变为成交面额
    calcuUnit(obj, type); //计算成交量、成交额单位
    tradingMethodFilter(obj);
    obj.deltaPercent = (Math.abs(parseFloat(obj.deltaPercent)) || Math.abs(parseFloat(obj.deltaPercent)) == 0) ? Math.abs(parseFloat(obj.deltaPercent)) : null;
    obj.delta = (Math.abs(parseFloat(obj.delta)) || Math.abs(parseFloat(obj.delta)) == 0) ? Math.abs(parseFloat(obj.delta)) : null;
    obj.delta = obj.isCashBond && obj.delta ? Number(obj.delta).toFixed(4) : obj.delta;
    obj.isShowFlag = true;

    //xxmeng20200702
    config.hangqingData = obj || {};
    config.ext = obj.ext;
    if (obj.iszshq) {
        obj.isNoProfit = '';
        obj.isVIE = '';
        obj.isVoteDifferent = '';
        obj.change20PerLimit = '';
    }
    var html = template(obj);
    config.elements.detailContent = html;
    config.elements.trendDetailWrap.empty().append(html);
}

//计算成交量、成交额单位
function calcuUnit(obj, type) {
    var hundredMillion = 100000000;
    var tenThousand = 10000;

    var bondUnit = type ? ((obj.isCashBond || obj.isABS) ? "元" : "张") : (obj.isDelayIndex ? "元" : "手");
    if (obj.volume / hundredMillion >= 1) { //成交量
        obj.volume = (obj.volume / hundredMillion).toFixed(2); //以亿为单位
        obj.volumeUnit = '亿' + bondUnit;
        obj.volumeUnit = obj.isNonDrCB ? '百亿元' : obj.volumeUnit;
        obj.volumeUnit = obj.isNonDrCBIndex ? '万亿元' : obj.volumeUnit;
    } else if (obj.volume / tenThousand >= 1) {
        obj.volume = (obj.volume / tenThousand).toFixed(2); //以万为单位
        obj.volumeUnit = '万' + bondUnit;
        obj.volumeUnit = obj.isNonDrCB ? '百万元' : obj.volumeUnit;
        obj.volumeUnit = obj.isNonDrCBIndex ? '亿元' : obj.volumeUnit;
    } else {
        obj.volumeUnit = bondUnit;
        if (obj.isNonDrCB || obj.isDrCB)
            obj.volumeUnit = (typeof obj.volume === 'number' || obj.volume === null) ? '百元' : '';
        if (obj.isNonDrCBIndex)
            obj.volumeUnit = (typeof obj.volume === 'number' || obj.volume === null) ? '万元' : '';
    }

    if (obj.amount / hundredMillion >= 1) { //成交额
        obj.amount = (obj.isCashBond || obj.isABS) ? (obj.amount / hundredMillion).toFixed(4) : (obj.amount / hundredMillion).toFixed(2); //以亿为单位
        obj.amountUnit = '亿元';
    } else if (obj.amount / tenThousand >= 1) {
        obj.amount = (obj.isCashBond || obj.isABS) ? (obj.amount / tenThousand).toFixed(4) : (obj.amount / tenThousand).toFixed(2); //以万为单位
        obj.amountUnit = '万元';
    } else {
        obj.amount = (obj.isCashBond || obj.isABS) && typeof obj.amount === 'number' ? obj.amount.toFixed(4) : obj.amount;
        obj.amountUnit = '元';
    }

    if (obj.volumeAhT / hundredMillion >= 1) { //盘后成交量
        obj.volumeAhT = (obj.volumeAhT / hundredMillion).toFixed(2); //以亿为单位
        obj.volumeAhTUnit = '亿手';
    } else if (obj.volumeAhT / tenThousand >= 1) {
        obj.volumeAhT = (obj.volumeAhT / tenThousand).toFixed(2); //以万为单位
        obj.volumeAhTUnit = '万手';
    } else {
        obj.volumeAhTUnit = bondUnit;
        obj.volumeAhT = obj.volumeAhT
    }

    if (obj.amountAhT / hundredMillion >= 1) { //盘后成交额
        obj.amountAhT = (obj.amountAhT / hundredMillion).toFixed(2); //以亿为单位
        obj.amountAhTUnit = '亿元';
    } else if (obj.amountAhT / tenThousand >= 1) {
        obj.amountAhT = (obj.amountAhT / tenThousand).toFixed(2); //以万为单位
        obj.amountAhTUnit = '万元';
    } else {
        obj.amountAhTUnit = '元';
        obj.amountAhT = obj.amountAhT
    }
    // 现券、ABS最新成交价格
    if (typeof obj.auctionPrice === 'number') {
        obj.auctionPrice = obj.auctionPrice.toFixed(4);
    }

}

// 债券最新成交方式
function tradingMethodFilter(obj) {
    var method = {
        '1': '匹配成交',
        '2': '协商成交',
        '3': '点击成交',
        '4': '询价成交',
        '5': '竞买成交'
    };
    obj.currentTradingType = method[obj.currentTradingType] || '--';

    if (obj.isCashBond || obj.isABS || obj.isPledgeStyleBond) {
        // 债券五种成交方式停牌状态
        // obj.tradingPhaseCode1 = '0404040104';
        var statusArr = decimalSystemChange(obj.tradingPhaseCode1);
        var num = 0;
        obj.tradeStatus = "";
        $.each(statusArr, function (index, item) {
            /**  停牌
             * H -- 6
             * V -- 12
             * 1 -- 4
             */
            if ($.inArray(item, [4, 6, 12]) > -1) {
                obj.tradeStatus += method[index + 1].substring(0, 2) + '/';
                num += 1;
            }
        });
        obj.tradeStatus = obj.tradeStatus ? obj.tradeStatus.substring(0, obj.tradeStatus.length - 1) + '成交&nbsp;&nbsp;停牌' : '';
        obj.tradeStatus = (num == statusArr.length ? '停牌' : obj.tradeStatus);
    }

}
// 十六进制转换十进制  
function decimalSystemChange(value) {
    var str = "";
    for (var i = 0; i < value.length; i++) {
        if (!isNaN(value[i])) {
            str += value[i];
            if (i % 2 == 1) str += ',';
        }
    };
    str = str.substring(0, str.length - 1).split(',');
    return str.map(function (item) {
        // return item = Number(parseInt(item, 16).toString(10));
        return item = parseInt(item);
    });
}

//成交概况、行情tabs切换	
function switchTabs() {
    config.elements.trendTabs.delegate('>li', 'click', function (e) { //行情日线tab切换
        var index = $(this).index();
        if (!(config.elements.clickflag)) {
            return false;
        }
        if (index == 0) {
            config.elements.trendDetailWrap.html(config.elements.detailContent);
        } else {
            if (e) {
                switchTabsInfo(1)
            } else {
                switchTabsInfo(index)
            }
        }


        $(this).addClass('active').siblings('li').removeClass('active');
        $('.tab-panel').find('.MA-wrap li .value').text('--');
        $('.tab-panel').removeClass('active').eq(index).addClass('active');
    });
}

function switchTabsInfo(index) {
    var data, dataLen, chartData;
    switch (index) {
        case 1:
            config.charts.dayChart.thisLastData();
            break;
        case 2:
            config.charts.weekChart.thisLastData();
            break;
        case 3:
            config.charts.monthChart.thisLastData();
            break;
    }
}

function titleContent(name, code) {
    $(".title-text p").text(name);
    $(".title-text p").css("line-height", "30px")
    $(".title-text span").text(code);
    // $('.title-text span').html('');
}

function topBindEvent(falg) {
    mui('.title-text')[0].style.display = 'block';
    mui('.search-wrap')[0].style.display = 'none';
    mui('.to-search-btn')[0].style.display = 'none';
    if(falg) mui('.top-bar-info>a.search')[0].style.display = 'block';
    mui('#bar').on('tap', '.top-bar-info>a.search', function () {
        location.reload();
    });
    mui('#bar').on('tap', '.title-text', function () {
        setChartData(false);
    });
    mui('body').on('tap', '#chart-notdata', function () {
        setChartData(false);
    })
}